2006-11-06  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.17.2 ===

	* configure.ac:
	* data/default-prefs-common.js:
	* src/ephy-notebook.c: (build_tab_label):

2006-11-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GeckoPrintService.cpp:

	Fix printing of page ranges.

2006-11-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-spell-check.c: (ephy_spell_check_check_word):

	Remove debug spew.

2006-10-24  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp: (impl_load):

	Fix previous commit for gecko 1.8.0.x.

2006-10-22  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/ephy-embed.h:
	* embed/ephy-embed.c:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-link.h:
	* src/ephy-location-action.c: (action_activated_cb):
	* src/ephy-shell.c: (ephy_shell_new_tab_full):
	* src/ephy-shell.h:
	* src/ephy-window.c: (ephy_window_open_link):

	Get keyword search back by passing ALLOW_THIRD_PARTY_FIXUP flag to gecko.
	Add a new load method to EphyEmbed to custom load behaviour and pass (optional) referrer.
	Fix bug #350053.

2006-10-18  Wouter Bolsterlee  <wbolster@gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_shutdown):
	Don't try to close shared dbus connections. This avoids
	dbus warnings on quit. Fixes bug #358007.

2006-10-18  Wouter Bolsterlee  <wbolster@gnome.org>

	* src/popup-commands.c: (background_download_completed):
	Remove unused type variable.

2006-10-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/Makefile.am:
	A lib/widgets/ephy-spinner-tool-item.c:
	A lib/widgets/ephy-spinner-tool-item.h:
	* lib/widgets/testspinner.c: (change_toolbar_style_cb),
	(change_toolbar_icon_size_cb), (spin_toolbar_spinner_cb), (main):
	* src/ephy-toolbar.c: (ephy_toolbar_update_spinner),
	(ephy_toolbar_constructor):

	Add EphySpinnerToolItem which encapsulates a spinner and automatically
	adapts its size to toolbar style changes, and use it in EphyToolbar.

2006-10-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_images_load),
	(ephy_spinner_cache_get_images), (ephy_spinner_get_type),
	(ephy_spinner_init), (ephy_spinner_new):
	* lib/widgets/ephy-spinner.h:

	Fix a crash after failing to get the spinner animation or rest icons.
	Derive EphySpinner from GtkWidget not GtkEventBox.

2006-10-15  Wouter Bolsterlee  <wbolster@gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/MozDownload.cpp:
	* lib/ephy-file-helpers.c: (ephy_file_browse_to):
	* lib/ephy-file-helpers.h:
	* src/popup-commands.c: (save_property_url_completed_cb),
	(save_property_url):
	Automatically open a Nautilus window after downloading
	has finished. Fixes bug #138876, patch by Ed Catmur.

2006-10-15  Wouter Bolsterlee  <wbolster@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	Use full width for bookmarks search bar.
	Fixes bug #349349, patch by Diego Escalante Urrelo.

2006-10-15  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (update_has_smart_address):
	
	Fix unprotected call to ephy_node_remove_child. Bug #362063.

2006-10-15  Wouter Bolsterlee  <wbolster@gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:
	Implement EphyPasswordManagerIface.add to add stored
	passwords. Fixes bug #361606, patch by John Millikin.

2006-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Fix a bug in the last commit.

2006-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Make the enum/flags values not global.

2006-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/AutoWindowModalState.cpp:

	Revert part of the last change, we don't need the top window here.

2006-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/AutoWindowModalState.cpp:

	Use the top DOM window here, and adapt to gecko 1.8.1.

2006-10-05  Christian Persch  <chpe@cvs.gnome.org>
	
	* embed/mozilla/GeckoSpellCheckEngine.cpp:

	Fix build with gecko 1.8.1.

2006-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (confirmation_dialog_construct),
	(ephy_history_window_construct):

	Add a window group for the history window.

2006-10-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_images_load),
	(ephy_spinner_cache_get_images), (bump_spinner_frame_cb):
	* lib/widgets/testspinner.c: (add_spinner), (main):

	Fix compile warnings.

2006-09-29  Christian Persch  <chpe@cvs.gnome.org>

	R embed/mozilla/AutoEventQueue.cpp:
	R embed/mozilla/AutoEventQueue.h:
	
	Remove unused code.

2006-09-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_images_ref),
	(ephy_spinner_images_unref), (ephy_spinner_cache_data_unload),
	(ephy_spinner_images_load), (ephy_spinner_cache_get_images),
	(ephy_spinner_load_images), (ephy_spinner_unload_images),
	(ephy_spinner_init), (ephy_spinner_expose),
	(bump_spinner_frame_cb), (ephy_spinner_start),
	(ephy_spinner_remove_update_callback), (ephy_spinner_stop),
	(ephy_spinner_size_request):

	Simplify code and save some memory.

2006-09-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Add smb: to recognised web schemes. Bug #352733.

2006-09-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_images_free),
	(ephy_spinner_cache_data_unload), (scale_to_size),
	(ephy_spinner_images_load), (ephy_spinner_cache_data_new),
	(ephy_spinner_cache_data_free), (ephy_spinner_cache_get_images),
	(ephy_spinner_cache_finalize), (ephy_spinner_cache_class_init),
	(ephy_spinner_cache_ref), (ephy_spinner_init),
	(ephy_spinner_set_size), (ephy_spinner_size_request):
	* lib/widgets/testspinner.c:

	Fix spinner with new g-i-t. Fixes bug #330415.
	Fix a crash when failing to load some icon data, Gedit bug #357456.

2006-09-24  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_constructor):
	* src/ephy-lockdown.c: (update_window):
	* src/window-commands.c: (window_cmd_file_new_window), (window_cmd_file_new_tab):
	* src/window-commands.h: (window_cmd_file_new_window), (window_cmd_file_new_tab):
	* src/ephy-toolbar.c: (ephy_toolbar_set_window):
	* src/ephy-home-action.c: (ephy_home_action_activate):

	Add middle-click on New Tab/Window button to open URL on clipboard. Fix bug 149715.
	Both New Tab and New Window actions are now EphyHomeAction.

2006-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.h:
	* embed/mozilla/GtkNSSKeyPairDialogs.h:

	These header files were GPL v2-only while the implementation .cpp
	files already were v2+. Thanks to crispin for agreeing to licence the
	.h under v2+ too.

2006-09-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyFind.cpp:

	Fix find direction.

2006-09-16  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Default to printing background images.

2006-09-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyContentPolicy.h:
	* embed/mozilla/EphySidebar.cpp:
	* embed/mozilla/EphySidebar.h:
	* embed/mozilla/MozRegisterComponents.cpp:

	Remove ill-conceived attempt at uninstalling the XPInstall handler,
	and move category registration to the classes that are being
	registered.

2006-09-16  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Activate about:config warning.

2006-09-13  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-link.c: (ephy_link_flags_from_current_event):

	Check for GDK_BUTTON_RELEASE event type in case of a middle click.
	Fix bug #347750.

2006-09-13  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (ephy_location_entry_construct_contents),
	(icon_button_press_event_cb):

	Clicking favicon in the location bar selects URL. Fix bug #349557.

2006-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Prefer xulrunner over mozilla.

2006-09-06 Christian Persch  <chpe@cvs.gnome.org>

	* *.c *.cpp:

	Remove some unnecessary static data.

2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Set API version to 2.17.

2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.
	 
2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.16.0 ===

2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update API version for 2.16.

2006-08-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add some more mime types. Fixes bug #352482.

2006-08-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GeckoFormSigningDialog.cpp:

	Make this LGPL.

2006-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	
	Post-release version bump.

2006-08-21  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.15.92 ===

	* NEWS:
	* configure.ac:

	Updated for 2.15.92.

	* embed/mozilla/EphyAboutModule.cpp:

	Use escaped URL for about:recover. Fixes bug #351296.

	* src/ephy-window.c:

	Remove shortcut for SendPage.

2006-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/print.glade:
	* embed/mozilla/GeckoPrintService.cpp:
	
	Don't show the empty window that the print options tab is
	taken from, and don't leak the glade object.

2006-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-pango.schemas:

	Enable pango for Urdu locale.

2006-08-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyFind.cpp:
	
	YAMAC.

2006-08-18  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	
	Disable DOM storage for now.

2006-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-print-utils.c:
	
	Fix crash when reading the options file. Bug #351788.
	Actually return the settings object.

2006-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-pango.schemas:

	Enable pango for Thai locale. Bug #339532.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Fix a typo.
	* configure.ac: Fix intltool req.

2006-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-print-utils.c:
	(ephy_print_utils_page_setup_new_from_key_file):

	Don't crash on error. Bug #351187.

2006-08-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	nsIPassword.h is always available. Fixes bug #350997.

2006-08-10  Christian Persch  <chpe@cvs.gnome.org>

	* plugins/desktop-file/plugin.cpp:

	Fix crash on PPC due to differing pointer types.

2006-08-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Add missing semicolon. Bug #350711.

2006-08-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/popup-commands.c: (background_download_completed):
	* lib/ephy-file-helpers.h: (ephy_file_launch_desktop_file):
	* lib/ephy-file-helpers.c: (ephy_file_launch_desktop_file):
	
	ephy_file_launch_desktop_file accepts now a parameter. Fix #343321.

	* src/ephy-window.c:
	
	Remove CONF_DESKTOP_BG_PICTURE #define. No need.
		
2006-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix one AS_HELP_STRING.

2006-08-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/epiphany.defs:
	* src/ephy-notebook.h:
	* src/ephy-notebook.c:
	* src/epiphany.override:

	Expose notebook->priv->focused_pages to extensions. Fix bug #350187.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	
	Post-release version bump.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.5.91 ===

	* configure.ac:

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	
	Don't allow closing the window if quit is locked down.
	Patch by Diego Escalante Urrelo, bug #320091.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	* src/ephy-history-window.c:
	
	Avoid accels on thin characters. Patch by 
	Crispin Flowerday, bug #331777.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	* src/window-commands.c:
	* src/window-commands.h:
	
	Add "delete text" command.
	
2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	
	Also recognise keypad keys for navigation. Bug #337089.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:
	
	Fix the build.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c:
	
	Correctly mark mouse click events as consumed.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	
	Improve the a11y theme check.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:
	
	Use variables here, not configure substitutions.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:
	
	Simply CallGetService to get the pref branch.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Use AutoJSContextStack on window open.
	Disable XPrint.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	
	Set printer name setting.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:
	
	Try to fix the docs build with gecko trunk.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/languages.h:
	
	Remove suprious entry.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar-editor.c:(ephy_toolbar_editor_response):
	
	Make sure to destroy the dialogue in all cases.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:
	R embed/mozilla/MozillaPrivate.cpp:
	R embed/mozilla/MozillaPrivate.h:
	
	Remove unused files.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:
	
	Don't start search on <embed> and <object> elements.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	
	Don't leak the UI language.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:
	
	Add more mime types.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	
	Document the print_frames key.

2006-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:
	
	Decrease maximum progress update to 0.5s

2006-08-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:
	
	Fix the build.

2006-08-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_set_page_setup),
	(ephy_embed_shell_set_print_settings):
	
	Fix the build.

2006-08-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	
	Remove accel for ViewToolbar. Bug #328783.

2006-08-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_set_page_setup),
	(ephy_embed_shell_get_page_setup),
	(ephy_embed_shell_set_print_settings),
	(ephy_embed_shell_get_print_settings):
	A lib/ephy-print-utils.c:
	A lib/ephy-print-utils.h:
	* lib/ephy-string.c: (ephy_string_flags_from_string),
	(ephy_string_flags_to_string), (ephy_string_enum_from_string),
	(ephy_string_enum_to_string):
	* lib/ephy-string.h:

	Persist print settings and page setup.

2006-07-26  Luca Ferretti  <elle.uca@libero.it>

	* lib/ephy-stock-icons.c:
	* lib/ephy-stock-icons.h:
	* src/ephy-window.c:

	Define STOCK_NEW_WINDOW with named icon "window-new" and use it
	in File -> New Window. Use "tab-new", "bookmark-new" and 
	"mail-forward" named icons from Icon Naming Standard for related
	actions. A first step to fix bug # 348350
	
2006-07-24  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* lib/ephy-spell-check.c: (ephy_spell_check_init):

	Set default dictionary based on applicable locale names.

2006-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/certificate-dialogs.glade:
	
	Make this a vbox, not a table.

2006-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-password-dialog.c:
	
	Fix default activation.
	
	* data/glade/form-signing-dialog.glade:
	* embed/mozilla/GeckoFormSigningDialog.cpp:
	
	Fix content packing options.

2006-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/certificate-dialogs.glade:
	
	Fix spacings, and don't use dummy text.

2006-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-statusbar.c: (ephy_statusbar_class_init),
	(padlock_button_press_cb), (create_statusbar_security_icon):
	* src/ephy-statusbar.h:
	* src/ephy-window.c: (ephy_window_constructor):
	* src/window-commands.c: (window_cmd_view_page_security_info),
	(window_cmd_help_about):
	* src/window-commands.h:

	Add page security info dialogue from Certificates extension.

2006-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (match_selected_cb):

	Reset IM context before activation. Bug #348478, patch by
	Nguyễn Thái Ngọc Duy.

2006-07-23  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/Makefile.am:

	Missing GeckoFormSigningDialog entries.

2006-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_export):

	Add accel. Bug #337913.

2006-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.h:
	* embed/mozilla/MozRegisterComponents.cpp:

	Implement nsIDOMCryptoDialogs, nsITokenDialogs and
	nsITokenPasswordDialogs. Bug #312869.

	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:

	Add a helper function to get the DOM window off the native
	call context, to work around unavailable parent window
	in nsIDOMCryptoDialogs
	( https://bugzilla.mozilla.org/show_bug.cgi?id=341914).

2006-07-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	No need to double-init gnome-vfs.

2006-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/Makefile.am:
	* data/glade/form-signing-dialog.glade:
	* embed/mozilla/GeckoFormSigningDialog.cpp:
	* embed/mozilla/GeckoFormSigningDialog.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	
	Implement nsIFormSigningDialog. Bug #312869.

2006-07-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* embed/mozilla/mozilla-notifiers.cpp:
	* lib/ephy-prefs.h:
	* src/prefs-dialog.c:

	Add a way to turn off password remembering. Bug #332374.

2006-07-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* data/glade/print.glade:
	* embed/mozilla/GeckoPrintService.cpp:
	* embed/mozilla/GeckoPrintService.h:
	* lib/ephy-gui.c: (ephy_gui_message_dialog_get_content_box),
	(ephy_gui_message_dialog_set_wrap_mode), (checkbutton_toggled_cb),
	(ephy_gui_connect_checkbutton_to_gconf):
	* lib/ephy-gui.h:

	Add our options in a custom tab in the print dialogue.

2006-07-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (entry_key_press_cb),
	(entry_activate_after_cb), (action_activated_after_cb),
	(ephy_location_entry_reset_internal), (ephy_location_entry_reset):

	When resetting the entry also emit user-changed, to restore the original
	URI in the tab's property. Bug #345934.

2006-07-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyPromptService.cpp:

	Force label wrapping.

2006-07-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-07-10  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.15.4 ===

	* configure.ac:

2006-07-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c:
	(ephy_node_view_selection_changed_cb), (ephy_node_view_remove):

	Work around bug #346662 by not changing selection while removing the
	nodes. Fixes crash with gtk 2.10.

2006-07-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (settings_change_notify),
	(ephy_window_key_press_event):

	Fix for empty menubar accel setting.
	Don't activate insensitive actions, bug #347022.

2006-07-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (entry_key_press_cb),
	(entry_key_press_after_cb), (entry_activate_after_cb),
	(match_selected_cb), (action_activated_after_cb),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_set_completion):
	* src/ephy-location-action.c: (action_activated_cb):

	Fix middle-click and ctrl-enter in the location entry autocompletion
	drop-down. Bug #345934, based on a patch by johannes@sipsolutions.net.

2006-07-06  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp: (OnProgressChange64):

	Don't hammer the cpu when downloading file with an unknown size.
	Fix bug 346671.

	* embed/ephy-embed-shell.c: (ephy_embed_shell_set_page_setup),
	(ephy_embed_shell_set_print_settings):

	Fix compiler warnings.
	
2006-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c:

	Fix compiler warning.

2006-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:

	Guess what? Another mozilla API change!

2006-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/AutoWindowModalState.cpp:
	* embed/mozilla/AutoWindowModalState.h:

	Fix the build.

2006-07-06  Christian Persch  <chpe@cvs.gnome.org>

	A embed/mozilla/AutoWindowModalState.cpp:
	A embed/mozilla/AutoWindowModalState.h:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyPromptService.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/FilePicker.h:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* embed/mozilla/Makefile.am:

	Prevent DOM window closure while we display a modal dialogue on it.

2006-07-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c
	(ephy_bookmark_action_sync_smart_url):
	
	Don't cast to gboolean but check for != NULL instead.

2006-07-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/languages.h:
	
	Add fur.

2006-06-25  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/epiphany.defs:
	* src/epiphany.override:
	* src/Makefile.am:

	Add EphyFindToolbar type to Python binding. 
	Bug #345837.

2006-06-23  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp: (mozilla_register_components):

	Fix a warning from gecko "Bad contract id registed with the script namespace manager".
	Only unregister xpinstall factory with gecko >= 1.9.

2006-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.h:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:
	* lib/Makefile.am:
	A lib/ephy-password-dialog.c:
	A lib/ephy-password-dialog.h:

	Implement nsITokenPasswordDialogs. Misc cleanups and mozilla string
	simplification now that we depend on gecko 1.8.

2006-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Fix 'unknown gecko' error output.

2006-06-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GeckoPrintService.cpp:
	* embed/mozilla/GeckoPrintSession.cpp:
	* embed/mozilla/GeckoPrintSession.h:

	Fix build with latest gtk printing changes.
	
2006-06-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:
	
	Look! Yet Another Mozilla API Change!

2006-06-18  Christian Persch  <chpe@cvs.gnome.org>

        * configure.ac:

	Fix wrong test, bug #344848.

2006-06-18  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/default-prefs-common.js:
	* embed/Makefile.am:
	* embed/ephy-embed-shell.c: (ephy_embed_shell_dispose),
	(ephy_embed_shell_set_page_setup),
	(ephy_embed_shell_get_page_setup),
	(ephy_embed_shell_set_print_settings),
	(ephy_embed_shell_get_print_settings):
	* embed/ephy-embed-shell.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/Makefile.am:
	A embed/mozilla/GeckoPrintService.cpp:
	A embed/mozilla/GeckoPrintService.h:
	A embed/mozilla/GeckoPrintSession.cpp:
	A embed/mozilla/GeckoPrintSession.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	R embed/mozilla/PrintingPromptService.cpp:
	R embed/mozilla/PrintingPromptService.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	R embed/print-dialog.c:
	R embed/print-dialog.h:
	* src/ephy-shell.c: (ephy_shell_dispose),
	(ephy_shell_get_prefs_dialog):
	* src/ephy-shell.h:
	* src/epiphany.defs:
	* src/window-commands.c: (page_setup_done_cb),
	(window_cmd_file_print_setup):

	Drop libgnomeprint[ui] and use gtk printing.

2006-06-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (status_icon_popup_menu_cb):
	
	Fix context menu positioning.

2006-06-16  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* src/ephy-session.c: (session_command_autoresume):
	Make the crash recovery dialog appear on the taskbar.
	Fixes bug #345010.

2006-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Set the warn-entering-weak security warn pref to true.

2006-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix --disable-spell-checker configure option. Bug #344848.

2006-06-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-06-10  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.15.3 ===

	* configure.ac:

2006-06-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	
	Remove accidentally commited code.

2006-06-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix the build.

2006-06-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix configure output.

2006-06-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	
	Check for enchant, and output an overview of the configured
	options on successful configure.

	* data/default-prefs-common.js:
	* embed/mozilla/GeckoSpellCheckEngine.cpp:
	* embed/mozilla/GeckoSpellCheckEngine.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:
	* lib/Makefile.am:
	* lib/ephy-spell-check.c:
	* lib/ephy-spell-check.h:

	Spell check support using the gecko 'spellchecker' extension.
	No corrections context menu or language switching yet.

2006-06-08  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* configure.ac: Remove AM_GLIB_DEFINE_LOCALEDIR. Bug
	#343825, patch by Christian Persch.

2006-06-08  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* src/ephy-shell.c: (ephy_shell_new_tab_full): copy
	history over when opening link in new tab/win using
	context menu. Fixes bug #340742, patch by René Stadler.

2006-06-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (resolve_cb):

	Don't crash on error from zeroconf bookmarks. Fixes bug #343922.

2006-06-05  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* lib/widgets/ephy-location-entry.c: (keyword_match):
	Improve next-token logic for bookmark completion. Fixes
	#339167 (hopefully for real this time).

2006-06-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySidebar.cpp:

	The API change was reverted on 1.8 branch. Fixes bug #343592.

2006-06-01  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/ephy-embed-persist.h: 
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download):
	* embed/mozilla/EphySingle.cpp: 
	(Init, Detach, ExamineCookies, ExamineResponse, ExamineRequest, Observe):
	* embed/mozilla/EphySingle.h:
	* embed/mozilla/MozDownload.cpp: (InitiateMozillaDownload):

	Don't set cookies from favicon downloads. Bug #337835.
	
2006-05-30  Frederic Peters  <fpeters@0d.be>

	* src/pdm-dialog.c: (pdm_dialog_cookies_construct):
	
	Allow cookie list to be sorted.  (fixes #337845)

2006-05-30  Frederic Peters  <fpeters@0d.be>

	* lib/egg/egg-editable-toolbar.c: (action_sensitive_cb)

	Fix crash when moving zoom widget on toolbar (#338682)

2006-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_launch_application),
	(launch_desktop_item):

	Fix launching of desktop files.

2006-05-16  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* lib/ephy-node.h:
	* lib/ephy-node.c:
	* src/epiphany.defs:

	Add methods to EphyNode to set typed properties. This change improves the
	Python API so it should be easy now to play with bookmarks.

	Also clean up the code with unnecessary checks.

2006-05-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in: 
	
	Update intltool requirement to 0.35.

2006-05-15  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-05-15  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.15.2 ===

	* NEWS:

2006-05-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-x509-cert.cpp:

	Some castings.

2006-05-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/EventContext.cpp:

	Use nsAString::Equals.

2006-05-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (resolve_cb),
	(ephy_local_bookmarks_init), (ephy_local_bookmarks_stop):

	Add https and ftp local bookmarks. Based on a patch by Celso Pinto,
	bug #330679.

2006-05-14  Christian Persch  <chpe@cvs.gnome.org>

	* doc/epiphany.1:
	
        Manpage update from Victor Osadci.

2006-05-12  Christian Persch  <chpe@cvs.gnome.org>

        * configure.ac:

	Explicit error message about unsupported gecko versions.

2006-05-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySidebar.cpp:

	The API is also changed on 1.8 branch, adapt the #ifdef accordingly.

2006-05-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Update gecko version checks to detect also gecko 1.8.1.

2006-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	* data/default-prefs-common.js:
	R data/default-prefs-gecko-1-8.js:
	R data/default-prefs-mozilla.js:
	R data/default-prefs-toolkit.js:

	Merge those into -common prefs.

2006-05-11  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* src/ephy-find-toolbar.c: (ephy_find_toolbar_find_next),
	(ephy_find_toolbar_find_previous), (ephy_find_toolbar_open):

	Display the find bar for "Find Next" and "Find Previous"
	if it wasn't visible already. Entry focus is handlded
	with care so that use cases like incremental search work
	as expected. Fixes bug #333020.

2006-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (entry_changed_cb),
	(ephy_find_toolbar_set_embed):

	Remove HAVE_TYPEAHEADFIND ifdefs, since we now always have that.
	Fixes the find bar after the drop of gecko 1.7/non-toolkit.

2006-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c:

	And revert it since it causes a gtk warning.

2006-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb),
	(ephy_notebook_init), (build_tab_label):

	Allow text drags to notebook tab labels. Bug #339339, patch by Michael
	Hofmann.

2006-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (add_to_favorites), (resolve_cb),
	(browse_cb):

	Don't crash when adding zeroconf bookmarks while bookmarks are locked
	down. Bug #341379.

2006-05-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:

	Drop non-toolkit gecko support too.

2006-05-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySidebar.cpp:

	Another API change! Thank you, mozilla!

2006-05-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/glade/prefs-dialog.glade:
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get):
	* embed/mozilla/AutoJSContextStack.cpp:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyAboutModule.cpp:
	* embed/mozilla/EphyAboutModule.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyContentPolicy.h:
	* embed/mozilla/EphyDirectoryProvider.cpp:
	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/EphyHistoryListener.cpp:
	* embed/mozilla/EphyHistoryListener.h:
	* embed/mozilla/EphyPromptService.cpp:
	* embed/mozilla/EphySidebar.cpp:
	* embed/mozilla/EphySidebar.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphySingle.h:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/FilePicker.h:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/MozRegisterComponents.h:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/MozillaPrivate.h:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/PrintingPromptService.h:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-download.h:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-event.h:
	* embed/mozilla/mozilla-embed-find.cpp:
	* embed/mozilla/mozilla-embed-find.h:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-persist.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-embed.h:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-notifiers.h:
	* embed/mozilla/mozilla-x509-cert.cpp:
	* embed/mozilla/mozilla-x509-cert.h:
	* lib/ephy-gui.c:
	* lib/ephy-gui.h:
	* lib/ephy-langs.c:
	* m4/gecko.m4:
	* src/ephy-window.c: (sync_tab_security):
	* src/prefs-dialog.c: (prefs_dialog_init):

	Drop support for gecko 1.7.

2006-05-05  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* data/ui/epiphany-ui.xml: Added a close item on the tab
	right-click menu. Also reindented the XML file.

2006-04-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_finalize), (ephy_tab_init),
	(ephy_tab_get_zoom), (_ephy_tab_get_id):
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.c: (notebook_page_added_cb),
	(sync_active_tab):

	Make sure each tab has its own unique ID, so accel paths don't
	conflict between windows. Fixes bug #339548.

2006-04-24  Christian Perhristian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-04-24  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.15.1 ===

	* configure.ac:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:
	* src/window-commands.c: (window_cmd_help_about):

	Update for 2.15.1.

	* help/eu/eu.po:
	* help/fi/fi.po:
	* help/ja/ja.po:
	
	Fix the build by adding bogus translator-credits strings.

2006-04-20  Piers Cornwell  <piers@gnome.org>

	* data/glade/prefs-dialog.glade:

	Fix duplicate accesskey. Bug 337912

2006-04-20  Piers Cornwell  <piers@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:

	Use header capitalisation. Bug #337915

2006-04-19  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:
	* src/prefs-dialog.c:

	Fix mnemonic activation of download path button. Bug #339139.

2006-04-17  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Also allow cairo-gtk2 builds.
	Builds but segfaults on startup.

2006-04-17  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/GtkNSSDialogs.cpp:

	Check for nsIMutableArray.h and include it if found. Fixes build with
	gecko trunk.

2006-04-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* lib/widgets/ephy-location-entry.c (update_favicon): Replace
	'stock-new' fallback favicon with more semantically correct
	'text-html' It also looks better with Tango icon theme. Bug #337140

2006-04-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c:

	Add -p as short option format for --private-instance.

2006-04-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/languages.h:

	Add Esperanto (eo).

2006-04-11  Crispin Flowerday  <gnome@flowerday.cx>

	* data/ui/epiphany-bookmark-editor-ui.xml:
	* data/ui/epiphany-history-window-ui.xml:
	* data/ui/epiphany-ui.xml:

	Reorder the menu items everywhere to have new tab above 
	new window. Fixes bug #303417

2006-04-10  Paul Drain <pd@cipherfunk.org>

	* data/art/Makefile.am:
	* data/bme-desktop.in.in:
 	* data/epiphany-desktop.in.in:

	Install App-Friendly Theme Icons (GNOME Goal Two)

2006-04-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c:

	Don't set find next/prev insensitive since that's redundant with
	the status indication, and breaks find while the document is loading.

2006-04-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Emit document-change event on fastback restore. Fixes bug #312785.

2006-04-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Enable spatial nav extension.

2006-04-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	A data/epiphany-pango.schemas:
	* lib/ephy-prefs.h:
	* src/ephy-main.c: (main):

	Enable pango for some indic languages, which depend on it for correct
	rendering. Bug #335799.

2006-04-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-net-monitor.c:

	Improve the current code (less complex) and add a timeouted call
	to NetworkManager when requesting network status.
	Bug 330479.

2006-04-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):

	Disable export when locked down. Bug #337028.

2006-04-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c:

	Fix status icon reference count.

2006-04-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Make sure we don't show "100%" on downloads unless they're really
	completed.

2006-04-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_get_bus):
	* src/ephy-net-monitor.c:
	(ephy_net_monitor_check_for_active_device),
	(ephy_net_monitor_attach_to_dbus), (ephy_net_monitor_startup):

	Don't crash when we cannot connect to the system dbus. Bug #336557.

2006-04-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_help_with_doc_id), (ephy_gui_help):
	* lib/ephy-gui.h:

	Add ephy_guid_help_with_doc_id for use by e-e.

2006-04-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Oops, this is a string pref!

2006-04-01  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/EphyPromptService.cpp:

	Fix crash when cancelling the prompt before the timeout has run.

2006-03-28  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyPromptService.cpp:
	* lib/egg/egg-editable-toolbar.c: (egg_editable_toolbar_set_fixed):
	* lib/widgets/ephy-location-entry.c: (ephy_location_entry_init):
	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_init):
	* src/ephy-fullscreen-popup.c: (ephy_fullscreen_popup_constructor):
	* src/ephy-notebook.c: (ephy_notebook_init):
	* src/ephy-statusbar.c: (ephy_statusbar_init):

	Use g_object_ref_sink().

2006-03-28  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.cpp: (ShouldLoad).

	Mozilla backend now supports adblock.
	Fix #335919.

2006-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (write_parent), (ephy_node_write_to_xml):

	Fix print format/arg mismatch.

2006-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* src/ephy-main.c: (main):

	Drop compat code for libgnome < 2.14.
	Fix refcount leak.

2006-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (show_status_icon),
	(downloader_view_init), (downloader_view_finalize),
	(update_status_icon), (download_changed_cb),
	(downloader_view_add_download), (downloader_view_remove_download),
	(download_dialog_delete_event_cb):

	Remove #ifdef:s now that we depend on gtk+ 2.9.

2006-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/ui/epiphany-ui.xml:
	* src/ephy-lockdown.c: (update_window):
	* src/ephy-notebook.c: (ephy_notebook_class_init),
	(button_press_cb), (ephy_notebook_init),
	(tab_label_weak_notify_cb), (build_tab_label):
	* src/ephy-notebook.h:
	* src/ephy-session.c: (notebook_page_added_cb),
	(notebook_page_removed_cb), (notebook_page_reordered_cb),
	(impl_attach_window):
	* src/ephy-tabs-menu.c: (notebook_page_added_cb),
	(notebook_page_removed_cb), (notebook_page_reordered_cb),
	(ephy_tabs_menu_set_window):
	* src/ephy-window.c: (update_tabs_menu_sensitivity),
	(idle_tab_remove_cb), (notebook_page_added_cb),
	(notebook_page_removed_cb), (notebook_page_reordered_cb),
	(notebook_page_close_request_cb), (setup_notebook),
	(ephy_window_remove_tab), (notebook_switch_page_cb):
	* src/epiphany.defs:
	* src/window-commands.c: (window_cmd_tabs_move_left),
	(window_cmd_tabs_move_right):
	
	Port notebook DND to gtk+ 2.9.

2006-03-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (status_icon_popup_menu_cb),
	(show_status_icon), (downloader_view_init),
	(downloader_view_finalize), (update_status_icon),
	(download_changed_cb), (downloader_view_add_download),
	(downloader_view_remove_download),
	(download_dialog_delete_event_cb):

	Use GtkStatusIcon.

	* lib/egg/Makefile.am:
	* lib/egg/eggstatusicon.c:
	* lib/egg/eggstatusicon.h:
	* lib/egg/eggtrayicon.c:
	* lib/egg/eggtrayicon.h:
	* lib/egg/eggtraymanager.c:
	* lib/egg/eggtraymanager.h:

	Remove egg status icons files.

2006-03-19  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphySidebar.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:
	
	Sync Epiphany with Gecko trunk according to
	https://bugzilla.mozilla.org/show_bug.cgi?id=330420.
	(Add nsIClassInfo.h).

2006-03-17  Wouter Bolsterlee  <uws@xs4all.nl>

	* src/ephy-tab.c: (ephy_tab_file_monitor_cb),
	(ephy_tab_update_file_monitor):

	Add support for local directory monitoring (in addition to
	local file monitoring). Bug #332049.

2006-03-13  Christian Persch  <chpe@cvs.gnome.org>

	* data/chrome/brand.dtd.in:

	Add releaseBaseURL entity.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* plugins/desktop-file/Makefile.am:
	* plugins/desktop-file/plugin.cpp:

	Add support for IE link files. Bug #330735.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Set different exit codes when exiting from different places
	in the test program, so we can see the cause of the failure
	in config.log.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update after branching.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.14.0 ===

	* NEWS:
	* configure.ac:

	Updated for 2.14.0.

	* src/prefs-dialog.c: (prefs_dialog_show_help),
	(font_prefs_dialog_response_cb):

	Fix the documentation ID the Help button points to.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c:

	Add Victor to documenters in About dialogue.

2006-03-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:

	Fix item ordering to fix bookmarks export format. Bug #333959,
	patch has RT approval.

2006-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyPromptService.cpp:

	Don't throw when cancelling the dialogue with ESC. Fixes bug #333780,
	patch has RT approval.

2006-03-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Build fix to build with 1.8 branch. No code changes, only
	#ifdef code that must not be built on 1.8 branch.

2006-03-06  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.99 ===

	* configure.ac:

2006-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp:
	
	Back the xpinstall change out; it breaks on gecko 1.8.

2006-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c:
	
	Update timestamp on resume dialogue when queuing a
	new command.

2006-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-find.cpp:
	
	Don't use g_return_if_fail here.

	* embed/mozilla/mozilla-embed-single.cpp:
	
	Remove fixed FIXME.

2006-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-fonts.schemas:
	* data/generate-font-schemas.py:
	
	Fix fonts schema default values.

	* embed/downloader-view.c: (downloader_view_build_ui):

	Forgotten commit.

2006-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp:
	
	Use the right category.

2006-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:
	
	Mark application/x-xpinstall as unsafe.

	* embed/mozilla/MozRegisterComponents.cpp:

	Unregister xpinstall content handler and JS objects;
	fixes download of .xpi files.

2006-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Before running any test programs, check that we can compile and run
	any XPCOM programs at all.

2006-03-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/GlobalHistory.h:
	* embed/mozilla/GlobalHistory.cpp:

	Sync Epiphany with new nsIGlobalHistory3 stuff.

	* embed/mozilla/EphyContentPolicy.cpp: (GetEmbedFromContext):

	Fix a missing return.

2006-03-02  Christian Persch  <chpe@cvs.gnome.org>
	
	* embed/mozilla/EphyContentPolicy.cpp:
	
	Don't block stylesheets (for now).

2006-03-02  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* src/ephy-history-window.c: (ephy_history_window_set_parent):

	Fix a warning introduced in my last patch (gcc 4.1 warnings).
	
2006-03-02  Christian Persch  <chpe@cvs.gnome.org>
	
	* src/ephy-dbus.c: (_ephy_dbus_startup):
	
	Don't try to connect to the session bus when we're
	starting a private instance.

2006-03-02  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/ephy-window.c
	
	Fix a bug introduced in my last patch where statusbar visibility
	was inverted from what it should have been.

2006-03-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):

	If we can't detect the mime type, fall back to checking the file 
	extension. Bug #331468.

	* src/ephy-main.c: (main):

	Don't pass NULL to realpath if PATH_MAX is defined. Bug #333051.

2006-03-02  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* embed/ephy-embed-shell.c:(ephy_embed_shell_dispose):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_view_dialog_cb):
	* src/ephy-history-window.c: (cmd_clear), (ephy_history_window_finalize):
	* src/ephy-shell.c: (ephy_shell_get_pdm_dialog),(ephy_shell_get_prefs_dialog),
	(ephy_shell_get_print_setup_dialog):
	* src/prefs-dialog.c: (prefs_dialog_finalize), (font_prefs_button_clicked_cb),
	(language_editor_add_button_clicked_cb):
	* src/bookmarks/ephy-bookmarks-editor.c: (ephy_bookmarks_editor_finalize):
	
	Fix gcc 4.1 warnings (dereferencing type-punned pointer will break strict-aliasing rules).

2006-03-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:

	Make these implement threadsafe isupports.

2006-03-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Don't activate typeaheadfind on XUL documents.

2006-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	
	Post-release version bump.

2006-02-27  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.8 ===

	* NEWS:
	* configure.ac:

2006-02-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (add_bookmarks_source):

	Distinguish different firefox profiles when showing the list to
	choose which one to import.

2006-02-24  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-action.c
	
	Set the tooltip for bookmarks on the toolbar, using a 
	'title\nlocation' format. Bug #332113.

2006-02-24  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-action.c
	
	Update the bookmark icon if the toolbar is reconfigured
	(happens when the theme changes). Everything else should
	be already handled by the class handler. Bug #148940.

2006-02-24  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-editable-toolbar.c
	
	Fix a bug where the visibility_paths were deleted on
	deconstruct rather than dispose.

2006-02-24  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-editable-toolbar.c
	
	Made the "Show" menu items insensitive when the entire toolbar
	is hidden.

2006-02-24  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-topics-palette.c
	
	Changed selection mode to 'none'. Makes it more
	usable for mouse users, and we have a text entry
	for keyboard users anyway.

2006-02-23  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-editable-toolbar.c
	
	Added translator comment.

2006-02-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_file_close_window),
	(window_cmd_help_about):

	Use the same machanism for Ctrl-W as clicking the tab's
	close button. Fixes bug #319530.

2006-02-23  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:
	
	Added GECKO_CHECK_CONTRACTIDS. Fix variable name quoting in
	GECKO_GECKO_CONTRACTID.

	* configure.ac:
	
	Check with GECKO_CHECK_CONTRACTIDS.
	Remove redundant check for typeaheadfind.

2006-02-23  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:
	
	Refactored. Added GECKO_XPCOM_PROGRAM modelled after AC_LANG_PROGRAM
	but which produces a program which uses	XPCOM; and made
	GECKO_CHECK_CONTRACTID use this.

	* configure.ac:

	Add a check for the gecko typeaheadfind extension. Bug #329118.

2006-02-22  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-topics-entry.c
	
	Improved behaviour of completion popup.

2006-02-22  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-gecko-1-8.js:

	Unset general.useragent.extra.simple pref from xulrunner,
	we don't want that in our UA string.

2006-02-21  Peter Harvey  <peter.a.harvey@gmail.com>

	* data/ui/epiphany-fs-toolbar.xml
	* lib/egg/egg-toolbars-model.c
	* lib/egg/egg-toolbars-model.h
	
	Added "editable" attribute for toolbars.
	
	* data/ui/epiphany-ui.xml
	* lib/egg/egg-editable-toolbar.c
	* lib/egg/egg-editable-toolbar.h
	* src/ephy-toolbar.c
	* src/ephy-window.c
	
	Many improvements to toolbar menus. Includes
	changes to show visibility toggles in multiple
	locations.

	* lib/ephy-stock-icons.c
	* lib/ephy-stock-icons.h
	
	Additional stock icon for drag and drop.
	
	* src/bookmarks/ephy-bookmarks-ui.c
	
	Make 'customize toolbar' invisible when editing.
	
	* src/ephy-shell.c
	
	Mark the full-screen toolbar as non-removable.

2006-02-21  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks-menu.c
	* src/bookmarks/ephy-nodes-cover.c
	
	Minor tweaks to improve menu generation.
	
2006-02-21  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	
	Switched to using an expander after UI review.
	
2006-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-gecko-1.8.js:

	Enable error pages explicitly since xulrunner is missing
	that pref too.

2006-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:

	Do return on failure.

2006-02-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_state_event):

	Fix crash on switching to/from fullscreen mode. Bug #331462.

2006-02-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Guard against nsDocument::GetDefaultView returning NULL.
	Bug #327764.

2006-02-10  Peter Harvey  <peter.a.harvey@gmail.com>

	* data/ui/epiphany-toolbar.xml
	
	Add the zoom in/out items back.
	
2006-02-10  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks-editor.c
	
	Do not create the bookmarks bar when removing bookmarks
	from the toolbar.
	
	* lib/egg/egg-toolbars-model.c
	
	Fix infinite loop when a toolbar has no items on it.

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>

        * configure.ac:

	Post-release version bump.

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.7 ===
	
	* NEWS:
	* configure.ac:

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>
	
	* m4/gecko.m4:
	
	Add a define and automake conditional for gecko
	debug builds.

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>
	
	* embed/mozilla/EphyPromptService.cpp:

	Use "Username" label for the password dialogue,
	for parity with gnome-password-dialog.

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>
	
	* data/default-prefs-common.js:

	Also use exthandler for snews and nntp.
	
	* data/default-prefs-toolkit.js:

	Add password manager prefs, since xulrunner is
	missing them.

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>
	
	* src/bookmarks/ephy-bookmarks-export.c: (write_rdf):

	Don't export the local bookmarks.

	* src/bookmarks/ephy-bookmarks-menu.c: (append_menu):

	Remove "name" attribute in the UI string, since it's set
	to same value as "action".

	* src/bookmarks/ephy-open-tabs-action.c: (node_added_cb):
	
	Fix untranslated string!

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>
	
	* lib/ephy-gui.c:
	* lib/ephy-gui.h:

	Remove ephy_gui_window_present.

2006-02-14  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_helpers_init),
	(ephy_file_helpers_shutdown), (ephy_file_delete_on_exit),
	(ephy_file_monitor_cancel), (ephy_file_delete_directory):
	* lib/ephy-file-helpers.h:
	* src/ephy-main.c: (main):

	Move --private-instance out of debug #ifdef.

2006-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (resolve_cb), (browse_cb),
	(ephy_local_bookmarks_init), (ephy_local_bookmarks_stop),
	(ephy_bookmarks_finalize), (ephy_bookmarks_new):

	Fix crash when resolve returns an error, bug #331028.
	Restructure 0conf code.

2006-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (add_to_favorites),
	(history_site_visited_cb), (history_cleared_cb),
	(get_id_for_service), (get_node_for_service), (resolve_cb),
	(browse_cb):
	* src/bookmarks/ephy-bookmarks.h:

	Fix removing zeroconf bookmarks when the service disappears,
	and updating them when they reappear. Bugs #329637, #330883.

2006-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_toolbar):

	Place bookmarks on "BookmarksBar" toolbar, since
	that's what < 1.9 used too.

2006-02-12  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-net-monitor.c: (ephy_net_monitor_check_for_active_device):

	Doesn't return the right variable !
	Add a LOG to trace EphyNetworkMonitor's check for active device.

2006-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-factory-action.c:
	(build_menu_for_topic):
	* src/bookmarks/ephy-topic-factory-action.c: (build_menu):

	Strdup the action name data.

2006-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-open-tabs-action.c: (node_added_cb),
	(node_removed_cb):

	Use the right action name.

2006-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (save_yourself_cb):

	Reqeust interaction with the client when there are
	unfinished downloads.

2006-02-10  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks-menu.c
	* src/bookmarks/ephy-bookmarks-ui.c
	
	Additional minor cleanups.

2006-02-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action-group.c: (smart_added_cb),
	(smart_removed_cb), (node_changed_cb), (node_added_cb),
	(node_removed_cb):
	* src/bookmarks/ephy-bookmark-action.c: (ephy_bookmark_action_new):
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmark-factory-action.c:
	(build_menu_for_topic):
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_toolbar),
	(ephy_bookmarks_editor_update_menu):
	* src/bookmarks/ephy-bookmarks-menu.c: (append_bookmarks),
	(append_menu), (ephy_bookmarks_menu_build):
	* src/bookmarks/ephy-bookmarks-ui.c:
	(ephy_bookmarks_ui_attach_window), (topic_has_data),
	(topic_get_data), (topic_get_name), (bookmark_has_data),
	(bookmark_get_data), (bookmark_get_name), (bookmark_new_name),
	(toolbar_node_removed_cb):
	* src/bookmarks/ephy-bookmarks-ui.h:
	* src/bookmarks/ephy-open-tabs-action.c: (node_added_cb),
	(node_removed_cb), (ephy_open_tabs_group_new):
	* src/bookmarks/ephy-open-tabs-action.h:
	* src/bookmarks/ephy-topic-action-group.c: (node_changed_cb),
	(node_added_cb), (node_removed_cb), (ephy_topic_action_group_new):
	* src/bookmarks/ephy-topic-action-group.h:
	* src/bookmarks/ephy-topic-action.c: (ephy_topic_action_new):
	* src/bookmarks/ephy-topic-action.h:
	* src/bookmarks/ephy-topic-factory-action.c: (build_menu):

	Remove *_action_name functions, and use static buffers instead.
	Minor cleanups.

2006-02-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Use NS_LogInit()/NS_LogTerm().

2006-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action-group.c: (node_changed_cb),
	(node_added_cb), (node_removed_cb), (ephy_bookmark_group_new):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_smart_url),
	(ephy_bookmark_action_sync_icon), (connect_proxy),
	(ephy_bookmark_action_set_bookmark),
	(ephy_bookmark_action_get_property), (ephy_bookmark_action_init),
	(ephy_bookmark_action_dispose), (ephy_bookmark_action_class_init),
	(ephy_bookmark_action_get_type):
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmarks-ui.c:
	(ephy_bookmarks_ui_attach_window):
	* src/bookmarks/ephy-open-tabs-action.c: (activate_cb),
	(node_added_cb), (node_removed_cb), (ephy_open_tabs_group_new),
	(ephy_open_tabs_action_name):
	* src/bookmarks/ephy-related-action.c: (node_changed),
	(node_destroyed), (open_link), (ephy_related_action_new):
	* src/bookmarks/ephy-topics-entry.c:
	* src/bookmarks/ephy-topics-entry.h:

	Misc code cleanups: fewer gobject casts, disconnect handlers,
	save a few strdups etc.

2006-02-09  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-topics-entry.c
	
	Add enter-to-auto-complete when there is just one possible
	match. Will close dialog if no current key. Will do nothing
	otherwise.

2006-02-09  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks.c
	
	Fix problems with old hierarchical topics scheme.

2006-02-09  Peter Harvey  <peter.a.harvey@gmail.com>

	* data/ui/epiphany-bookmark-editor-ui.xml
	* src/bookmarks/ephy-bookmarks-editor.c
	
	Restore the 'Show on Toolbar' functionality, implemented very
	differently now.
	
2006-02-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp: (HandleEvent):
	* src/ephy-tab.c: (popups_manager_add),(popups_manager_show):

	Block popup with NULL url (javascript:window.open() for instance).
	but don't show them when unblocking.
	Bug #155009.
 
2006-02-08  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:
	
	Fix the xulrunner build.

2006-02-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:
	* src/Makefile.am:

	Also build with ff trunk, by explicitly linking with -lxul.

2006-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-extensions-manager.c: (load_extension),
	(unload_extension), (sync_loaded_extensions):
	* src/ephy-extensions-manager.h:

	Add an 'enabled' flag in the EphyExtensionInfo struct to
	track whether gconf says it should be loaded. The
	'active' flag is whether it is actually loaded.

2006-02-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:
	
	Remove workaround for broken profile now that
	https://bugzilla.mozilla.org/show_bug.cgi?id=326013
	is fixed.

2006-02-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (ephy_node_new_from_xml):

	Save tons of g_type_from_name calls.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Fix handling of non-ascii extra arguments.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

        * m4/gecko.m4:
	
	More xulrunner fixes.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (open_urls), (queue_commands), (main):

	Fix opening of local files. Bug #330104.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Go back to AM_GLIB_GNU_GETTEXT for now, until
	intltool 0.34.2 is more widespread.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Fix quoting.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Fix xulrunner detection logic.

	* configure.ac:
	A po/Makevars:
	* src/Makefile.am:
	* doc/reference/Makefile.am:

	Remove AM_GLIB_GNU_GETTEXT, use plain AM_GNU_GETTEXT.

	* data/glade/Makefile.am:

	Fix distcheck with certs manager disabled.

2006-02-05  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:
	* configure.ac:
	* embed/mozilla/Makefile.am:

	Changes to support xulrunner trunk (gecko 1.9).

	* embed/mozilla/mozilla-embed-single.cpp:

	Go back to continuing after failed GetPassword;
	fixes getting the password list in case one item
	is corrupted.

2006-02-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c:

	Show the backend in the about box.

2006-02-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:

	Only use the major version in the user agent string.

2006-02-05  Crispin Flowerday  <gnome@flowerday.cx>

	* data/default-prefs-common.js: 

	Disable blink tags

2006-02-04  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/ephy-state.h
	* lib/ephy-state.c
	* src/epiphany.defs
	* src/bookmarks/ephy-bookmark-properties.c
	
	Combined very similar functions into one.
	Made the 'similar' bookmark count update immediately at start.
	
2006-02-04  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/ephy-state.h
	* lib/ephy-state.c
	* src/ephy-shell.c
	
	Forgotten files from previous two commits.
	
2006-02-04  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-editable-toolbar.c
	* lib/egg/egg-toolbar-editor.c
	* lib/egg/egg-toolbars-model.c
	* lib/egg/egg-toolbars-model.h
	* src/bookmarks/ephy-bookmark-factory-action.c
	* src/bookmarks/ephy-topic-factory-action.c
	* src/ephy-toolbars-model.c
	* src/epiphany.defs
	
	Improve the system for testing whether an item has already
	been used on the toolbar.

2006-02-04  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-bookmarks-ui.c
	* src/bookmarks/ephy-bookmarks-ui.h
	* src/ephy-history-window.c
	* src/popup-commands.c
	* src/window-commands.c

	Restore transient status to the properties dialog when
	creating a new bookmark. Leave the topics entry sensitive, 
	and store the expanded state of the list. Make the similar
	button a toggle button. Removed unused function to add topic.

2006-02-04  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks.c
	
	Improve code quality of function to determine similar bookmarks.

2006-02-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Free the option context on error too, and don't duplicate
	the private-instance option.

2006-02-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyPromptService.cpp:

	Don't make the nonblocking alert modal!

2006-02-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphyPromptService.h:
	* embed/mozilla/EphyPromptService.cpp: (ShowNonBlockingAlert):
	* embed/mozilla/AutoJSContextStack.cpp:

	Fix compilation against trunk + some typos.

2006-02-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c:

	Fix non-debug builds.

2006-02-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_connect_to_session_bus),
	(ephy_dbus_get_property), (ephy_dbus_set_property),
	(ephy_dbus_class_init), (_ephy_dbus_startup):
	* src/ephy-dbus.h:
	* src/ephy-main.c: (main):

	Only claim the DBUS name when not running as private instance.

2006-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:
	* embed/mozilla/AutoJSContextStack.cpp:
	* embed/mozilla/AutoJSContextStack.h:

	Helper class that pushes a null JS context on the stack,
	and pops it in the destructor.

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyPromptService.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* embed/mozilla/PrintingPromptService.cpp:

	Push a null JS context on the stack when we run a recursive
	mainloop. Fixes the epiphany equivalend of camino bug
	https://bugzilla.mozilla.org/show_bug.cgi?id=179307.

2006-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Add GECKO_XPIDL to check for xpidl compiler and include directory.

2006-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Add GECKO_CHECK_HEADERS, wrapping AC_CHECK_HEADERS.

	* configure.ac:

	Simplify some header checks with GECKO_CHECK_HEADERS.
	Check for nsINonBlockingAlertService.h.

	* embed/mozilla/EphyPromptService.cpp:
	* embed/mozilla/EphyPromptService.h:
	* embed/mozilla/MozRegisterComponents.cpp:

	Implement nsINonBlockingAlertService.

2006-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c:
	* embed/downloader-view.h:
	* embed/ephy-embed-shell.c:
	(ephy_embed_shell_get_downloader_view_nocreate):
	* embed/ephy-embed-shell.h:
	* lib/ephy-gui.c: (ephy_gui_message_dialog_get_content_box):
	* lib/ephy-gui.h:
	* src/ephy-session.c:
	(confirm_shutdown_dialog_update_timeout_label),
	(confirm_shutdown_dialog_tick_cb),
	(confirm_shutdown_dialog_response_cb),
	(confirm_shutdown_dialog_accept_cb),
	(confirm_shutdown_dialog_weak_ref_cb), (confirm_shutdown_cb),
	(save_yourself_cb):

	On session logout, check if there are downloads pending (since
	they're not resumable, bug #128048). #if 0'd for now.

2006-02-02  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* lib/egg/egg-editable-toolbar.c: (toolbar_visibility_refresh):
	* src/bookmarks/ephy-topics-entry.c: (update_database):

	Fix some memory leaks.

2006-02-02  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-action.c
	
	Allow bookmarks on the toolbar to be dragged.

	* src/bookmarks/ephy-topic-action.c
	
	Remove redundant function call.
	
2006-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (save_yourself_cb), (die_cb),
	(session_command_free), (session_command_find),
	(resume_dialog_response_cb), (resume_dialog_weak_ref_cb),
	(session_command_autoresume),
	(session_command_open_bookmarks_editor),
	(session_command_open_uris), (session_command_dispatch),
	(session_command_queue_next), (session_command_queue_clear),
	(ephy_session_init), (ephy_session_dispose),
	(ephy_session_finalize), (ephy_session_close), (ephy_session_load),
	(ephy_session_get_active_window), (ephy_session_queue_command):
	* src/ephy-session.h:
	* src/ephy-main.c: (unref_proxy_reply_cb), (open_urls),
	(call_dbus_proxy), (queue_commands), (main):

	Queue commands received from the main and remote instances,
	and process them after autoresume has completed. Bug #328286.

	* data/epiphany-service.xml:
	* lib/ephy-file-helpers.c: (ephy_file_helpers_init):
	* lib/ephy-file-helpers.h:
	* src/ephy-activation.c: (session_queue_command),
	(ephy_activation_load_uri_list), (ephy_activation_load_session),
	(ephy_activation_open_bookmarks_editor):
	* src/ephy-activation.h:
	* src/ephy-dbus.c:
	* src/ephy-dbus.h:
	* src/epiphany.defs:

	Adapt to those changed APIs.

2006-01-31  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-editable-toolbar.c
	
	Add tooltips to toolitems again (reverses a regression).
	Use _forall instead of _foreach when connecting signals,
	to make sure that widgets like Zoom get a right-click menu.

2006-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyPromptService.cpp:

	Use GTK_STOCK_DIALOG_AUTHENTICATION. Bug #329438.

2006-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-link-action.c: (ephy_link_action_group_new):
	* src/ephy-link-action.h:

	Fix link action group creating to really use the given name!

2006-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-service.xml:
	* src/ephy-activation.c: (ephy_activation_load_uris):
	* src/ephy-activation.h:
	* src/ephy-main.c: (unref_proxy_reply_cb), (open_urls):

	Change the DBUS interface to sending all the uris at one
	as string array.

2006-01-31  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-toolbars-model.c
	* lib/egg/egg-toolbars-model.h
	
	Added a useful function to remove all instances of 
	a named action from the toolbars.

2006-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-01-31  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.6 ===

	* NEWS:
	* configure.ac:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-permission-manager.sgml:
	* doc/reference/tmpl/ephy-shell.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:

2006-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-properties.c: (show_duplicate_cb):

	Use ngettext here.

2006-01-30  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-bookmarks.c
	* src/bookmarks/ephy-bookmarks.h
	
	Made the 'Similar' button show more bookmarks, and
	separate into 'identical' and 'similar'.

2006-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (configure_item_cursor),
	(egg_editable_toolbar_set_ui_manager):

	Don't double-ref the UI manager.
	Don't try to set a cursor on windowless widgets.

2006-01-30  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp: (GetErrorMessage):

	Remove unused var.

2006-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	(egg_editable_toolbar_set_ui_manager):

	Fix the build with -Werror.

2006-01-30  Peter Harvey  <peter.a.harvey@gmail.com>

	* data/ui/epiphany-ui.xml
	* src/ephy-lockdown.c
	* src/ephy-toolbar.c
	* src/ephy-window.c
	* lib/egg/egg-editable-toolbar.c
	* lib/egg/egg-editable-toolbar.h
	
	Add a Toolbars submenu with per-toolbar hide/show items.

2006-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (open_urls), (call_dbus_proxy):

	Idle unref the dbus proxy in case we didn't call any remote
	methods; and ref the dbus proxy for each call + one idle unref
	for each URL remoted.

2006-01-30  Crispin Flowerday  <gnome@flowerday.cx>

	* src/bookmarks/ephy-bookmark-properties.c: (update_warning),
	(ephy_bookmark_properties_constructor):

	Use ngettext() for plural string. Fixes bug #329242

2006-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	
	Change text for zoom in/out.

2006-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Special error text for localhost URIs. Bug #323261,
	patch by Jean-François Rameau.

2006-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Truncate URI and title strings. Bug #329160.

2006-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (ephy_find_toolbar_dispose),
	(ephy_find_toolbar_class_init):

	Release the finder on dispose not finalize.

2006-01-30  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	
	Add "Show" text to the items in the "Similar" menu.

2006-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_get_current_event):
	* lib/ephy-gui.h:

	Add a convenience function to get current event data.

	* src/ephy-link.c: (ephy_link_open),
	(ephy_link_flags_from_current_event):
	* src/ephy-link.h:

	Add a convenience function to translate the current event
	into EphyLinkFlags.

	* src/ephy-go-action.c: (ephy_go_action_get_type):
	* src/ephy-go-action.h:

	Make this an EphyLinkAction.

	* lib/widgets/ephy-location-entry.c: (entry_key_press_cb):
	* src/ephy-home-action.c: (ephy_home_action_activate):
	* src/ephy-location-action.c: (entry_activate_cb):
	* src/ephy-tab.c: (open_link_in_new),
	(ephy_tab_dom_mouse_click_cb):
	* src/window-commands.c: (window_cmd_load_location):

	Fix link activation to respect ctrl and shift modifiers.
	Part of bug #310814.

2006-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	If GetPassword failed, break instead of continue.
	That way we don't endlessly re-ask for the master password.

2006-01-29  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed-single.c: (ephy_embed_single_get_backend_name):
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* src/epiphany.defs:

	Add a function (ephy_embed_single_get_backend_name) to get
	the backend that epiphany is using.

2006-01-29  Reinout van Schouwen <reinout@cs.vu.nl>

	* NEWS
	
	Update NEWS for 1.9.6

2006-01-29  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-bookmarks.c
	* src/bookmarks/ephy-bookmarks.h
	
	Added better widget to handle duplicate bookmarks.
	
	* src/bookmarks/ephy-topics-entry.c
	
	Corrected handling of UTF8 strings.
	
	* src/bookmarks/ephy-topics-palette.c
	
	Removed unnecessary use of g_idle_*..

2006-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c:
	* src/ephy-main.c:

	Fix strings again. Bug #328747.

2006-01-29  Crispin Flowerday  <gnome@flowerday.cx>

	* src/bookmarks/ephy-bookmark-action.c: (activate_cb),
	(entry_key_press_cb), (connect_proxy):

	Open smart bookmark url in new tabs when using Ctrl+Enter
	(part of bug #310814)

2006-01-29  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-topics-entry.c
	* src/bookmarks/ephy-topics-palette.c
	
	Make both topcs palette and entry even more robust.
	Substantially improved behaviour of the topics entry.

2006-01-29  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-topics-entry.c
	* po/POTFILES.in
	
	Make the topic entry more robust, and correct its
	entry in POTFILES.in.

2006-01-29  Reinout van Schouwen <reinout@cs.vu.nl>

	* src/ephy-main.c
	
	Change string 'Epiphany' to generic 'browser' 2 times

2006-01-29  Reinout van Schouwen <reinout@cs.vu.nl>

	* lib/ephy-file-helpers.c
	
	Change string to fix bug 328747.

2006-01-29  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-topics-entry.c
	* src/bookmarks/ephy-topics-entry.h
	* src/bookmarks/Makefile.am
	* po/POTFILES.in

	Ongoing Saga Of The Bookmark Properties Dialog.
	Dialog is now much more compact, using a text entry by
	default and offering the palette when desired.
	
	* src/bookmarks/ephy-topics-palette.c
	
	Simplified code and made more usable.
	Removed the header from the last patch as well.

	* src/bookmarks/ephy-bookmarks-ui.c
	
	'Add bookmark' dialogs were not correctly removed from the
	hashtable.
	
2006-01-28  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-bookmarks-ui.c
	* src/bookmarks/ephy-bookmarks-ui.h
	* src/bookmarks/ephy-bookmarks.c
	* src/bookmarks/ephy-bookmarks.h
	* src/ephy-history-window.c
	* src/popup-commands.c
	* src/window-commands.c

	Simplified the bookmark properties dialog and removed the 
	'duplicate bookmark' warning dialog (now have warning in
	the bookmark properties dialog itself).
	
	* src/bookmarks/ephy-topics-palette.c
	
	Added a header which switches topic palette mode.

2006-01-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_connect_to_session_bus_cb),
	(ephy_dbus_connect_to_system_bus_cb), (session_filter_func),
	(system_filter_func), (ephy_dbus_connect_to_system_bus),
	(ephy_dbus_connect_to_session_bus), (ephy_dbus_shutdown):
	* src/ephy-dbus.h:

	Remove unused NM code. Misc cleanups.

2006-01-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-activation.c: (ephy_activation_load_url),
	(ephy_activation_load_session),
	(ephy_activation_open_bookmarks_editor):
	* src/ephy-activation.h:

	Add required GError** params, and actually set the
	error when returning FALSE.

2006-01-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Disable pango rendering by default, unless MOZ_ENABLE_PANGO env
	var is set. Bug #328844.

2006-01-26  Crispin Flowerday  <gnome@flowerday.cx>

	* src/Makefile.am:

	Use stamp files for the dbus bindings.h files
	
2006-01-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (impl_get_embed_single):

	Fix initial network status sync.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_constructor):

	Add transient window to window group.,

	* src/languages.h:

	Add licence header.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-net-monitor.c: (ephy_net_monitor_set_net_status),
	(notify_network_managed_cb):

	Store the detected network status even if we're not active.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/epiphany.schemas.in:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:
	* lib/ephy-prefs.h:
	* src/Makefile.am:
	* src/ephy-net-monitor.c:
	* src/ephy-net-monitor.h:
	* src/ephy-shell.c: (ephy_shell_sync_network_status),
	(impl_get_embed_single), (ephy_shell_dispose),
	(ephy_shell_get_net_monitor), (_ephy_shell_create_instance),
	(_ephy_shell_startup):
	* src/ephy-shell.h:

	libnm-glib be-gone! Use NetworkManager directly via DBUS, by
	importing the excellent net-monitor extension directly into
	Epiphany. Code by Jean-François Rameau.

2006-01-22  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks-ui.c
	
	Reverted change which made 'add bookmark' and 'edit bookmark'
	use-cases have exactly the same dialog.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Don't leak the option context.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (drag_data_received_cb),
	(create_tool_item), (ephy_topic_action_sync_label), (get_popup),
	(erase_popup), (child_changed_cb), (child_removed_cb),
	(menu_init_cb), (button_deactivate_cb), (button_toggled_cb),
	(button_release_cb), (button_press_cb), (connect_proxy),
	(ephy_topic_action_updated), (ephy_topic_action_get_topic),
	(ephy_topic_action_set_topic), (ephy_topic_action_set_property),
	(ephy_topic_action_get_property), (ephy_topic_action_init),
	(ephy_topic_action_get_type), (ephy_topic_action_new):

	Small cleanups.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-gecko-1-8.js:
	* embed/mozilla/mozilla-embed-single.cpp:

	Set the "browser.display.use_system_colors" pref on gecko 1.8,
	instead of monitoring the theme ourself.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:

	Don't show the CSS box by default; we show it from code
	only when CSS is supported.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-mozilla.js:

	On suite, set wallet.caveat to false.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action-group.c:
	* src/bookmarks/ephy-bookmark-action-group.h:
	* src/bookmarks/ephy-bookmark-factory-action.c:
	* src/bookmarks/ephy-bookmark-factory-action.h:
	* src/bookmarks/ephy-bookmarks-ui.c:
	* src/bookmarks/ephy-bookmarks-ui.h:
	* src/bookmarks/ephy-nodes-cover.c:
	* src/bookmarks/ephy-nodes-cover.h:
	* src/bookmarks/ephy-open-tabs-action.c:
	* src/bookmarks/ephy-open-tabs-action.h:
	* src/bookmarks/ephy-related-action.c:
	* src/bookmarks/ephy-topic-action-group.c:
	* src/bookmarks/ephy-topic-action-group.h:
	* src/bookmarks/ephy-topic-factory-action.c:
	* src/bookmarks/ephy-topics-palette.c:

	Add cvs version markers.

2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-properties.c:
	(title_entry_changed_cb), (ephy_bookmark_properties_constructor):
	* src/bookmarks/ephy-bookmarks-ui.c:
	(ephy_bookmarks_ui_add_bookmark):

	Don't use favicon as window icon.

2006-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_set_bookmark),
	(bookmark_properties_close_cb), (bookmark_properties_response_cb),
	(update_entry), (update_window_title), (combo_changed_cb),
	(title_entry_changed_cb), (location_entry_changed_cb),
	(set_window_icon), (ephy_bookmark_properties_init),
	(ephy_bookmark_properties_constructor),
	(ephy_bookmark_properties_set_property),
	(ephy_bookmark_properties_get_property),
	(ephy_bookmark_properties_class_init),
	(ephy_bookmark_properties_get_type),
	(ephy_bookmark_properties_new):
	* src/bookmarks/ephy-bookmark-properties.h:

	Refactored, code cleanups. Don't make the bookmark properties
	window transient.

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmark_properties):
	* src/bookmarks/ephy-bookmarks-ui.c:
	(activate_bookmark_properties), (activate_bookmark_open_tab),
	(activate_bookmark_open_window), (selected_bookmark_action),
	(erase_bookmarks_menu), (tree_changed_cb), (node_added_cb),
	(node_changed_cb), (node_removed_cb),
	(ephy_bookmarks_ui_attach_window), (properties_dialog_destroy_cb),
	(add_bookmark), (duplicate_bookmark_response_cb),
	(ephy_bookmarks_ui_add_bookmark), (add_topic_changed_cb),
	(add_topic_response_cb), (ephy_bookmarks_ui_add_topic),
	(ephy_bookmarks_ui_show_bookmark):
	* src/bookmarks/ephy-bookmarks-ui.h:

	Cleanups. Make the New Topic dialogue modal to the bookmark properties
	window. Change some strings, don't unnecessarily use markup when
	constructing a message dialog.

2006-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(import_dialog_response_cb), (export_format_combo_changed_cb),
	(export_dialog_response_cb), (cmd_bookmarks_export):

	Switch extensions when changing the export format from the combo
	box; and don't use gtk_dialog_run. Bug #328064.

2006-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_dot_dir),
	(ephy_file_helpers_init):
	* lib/ephy-file-helpers.h:
	* src/ephy-dbus.c:
	* src/ephy-main.c: (unref_proxy_reply_cb), (open_urls), (main):

	Run the main loop until the reply is received when
	activating a running instance. Fixes URL opening with
	two concurrently starting instance.

2006-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_connect_to_session_bus):

	Use DBUS_NAME_FLAG_DO_NOT_QUEUE when requesting the name,
	and also handle unexpected request return values.

2006-01-23  Crispin Flowerday  <gnome@flowerday.cx>

	* src/bookmarks/ephy-open-tabs-action.c: (node_added_cb):
	* src/bookmarks/ephy-topic-action-group.c: (node_added_cb):

	Fix a couple of memory leaks

2006-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c:
	
	Fix compilation with libgnome 2.13. Bug #328351.

2006-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-service.xml:
	* src/ephy-activation.c: (ephy_activation_load_url),
	(ephy_activation_open_bookmarks_editor):
	* src/ephy-activation.h:

	Removed add-bookmark and import-bookmarks functions,
	and changed load-url to use an options string instead of
	loads of booleans.
	
	* src/ephy-main.c: (unref_proxy_reply_cb), (open_urls),
	(call_dbus_proxy):

	Adapt to changed dbus call signatures.
	Fixes open-in-new-tab/window from cmd line.

2006-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* lib/ephy-file-helpers.c: (ephy_file_helpers_init),
	(ephy_ensure_dir_exists):
	* lib/ephy-file-helpers.h:

	Add a GError** to ephy_file_helpers_init and ephy_ensure_dir_exists,
	so we can show the error to the user in main().

	* src/ephy-dbus.c: (ephy_dbus_connect_to_session_bus_cb),
	(ephy_dbus_connect_to_system_bus_cb), (session_filter_func),
	(system_filter_func), (ephy_dbus_connect_to_system_bus),
	(ephy_dbus_connect_to_session_bus), (ephy_dbus_shutdown),
	(ephy_dbus_finalize), (ephy_dbus_get_type),
	(ephy_dbus_get_default), (ephy_dbus_get_bus),
	(ephy_dbus_get_proxy), (_ephy_dbus_startup), (_ephy_dbus_release),
	(_ephy_dbus_is_name_owner):
	* src/ephy-dbus.h:

	Refactored. Propagate errors to callers via GError**, and change
	lifecycle to the app lifetime.

	* src/ephy-lockdown.c: (ephy_lockdown_init),
	(ephy_lockdown_finalize):

	Move gconf notification add/remove for the lockdown key dirs 
	here from main().

	* src/ephy-shell.c: (ephy_shell_dispose),
	(_ephy_shell_create_instance):
	* src/ephy-shell.h:
	* src/epiphany.defs:

	Remove ephy_shell_startup and related stuff.

	* src/ephy-main.c: (handle_url), (handle_email),
	(shell_weak_notify), (dbus_g_proxy_finalized_cb),
	(save_yourself_cb), (die_cb), (gnome_session_init),
	(path_from_command_line_arg), (open_urls), (call_dbus_proxy),
	(show_error_message), (main):

	Move all startup code to main(), so we can show errors to
	the user instead of crashing when things go wrong.
	Part of bug #326807.

2006-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyPromptService.cpp:

	Invert button order. Bug #327381.

2006-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* lib/widgets/ephy-location-entry.c (ephy_location_entry_set_location): 

	When updating the address bar, always update the address state,
	sometimes it isn't updated if the text in the GtkEntry isn't
	altered (and hence the 'changed' signal isn't called.

2006-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-dbus.c (ephy_dbus_shutdown): 

	Add guards to avoid crashing on exit if system bus
	isn't running. Fixes bug #327845

2006-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-permission-manager.c:
	(ephy_permission_manager_add_permission),
	(ephy_permission_manager_remove_permission),
	(ephy_permission_manager_clear_permissions),
	(ephy_permission_manager_test_permission),
	(ephy_permission_manager_list_permissions):
	* embed/ephy-permission-manager.h:
	* src/ephy-tab.c: (ephy_tab_get_popups_allowed),
	(ephy_tab_set_popups_allowed):
	* src/epiphany.defs:
	* src/epiphany.override:

	Change the EphyPermissionManager API so that it is
	more obvious what it does when used from python.

2006-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-favicon-cache.c (remove_obsolete_icons) 
	(icon_is_obsolete)
	* embed/ephy-history.c (page_is_obsolete, remove_obsolete_pages): 

	Use non-deprecated functions when compiling against glib > 2.9

2006-01-22  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/ephy-window.c
	
	Fixed the mouse cursor entry/exit code for the toolbar. I have
	a suspicion that a bug may have been fixed in Gtk+ because this
	solution was tried before. Bug #326817.

2006-01-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/epiphany.defs:
	* src/epiphany.override:

	- Change EphyEmbedEvent.get_property to .get_event_property
	- Wrap EphyPermissionManager.list(), and the boxed
	  type it uses.
	- Wrap EphyEmbed.get_security_level()

2006-01-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/window-commands.c (window_cmd_help_about): 

	Put blank lines between the paragraphs in the
	licence dialog.

2006-01-22  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* src/ephy-dbus.c: (ephy_dbus_shutdown):

	Remove both session/system filters before finalizing EphyDbus object.
	Fix #327845.

2006-01-22  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-action.c
	* src/bookmarks/ephy-bookmark-properties.c
	
	Remove the user-icon functionality for now. Too many bugs.
	Note that support for the user-icon field still exists in
	the bookmarks database itself.

2006-01-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Fix the previous commit.

2006-01-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/bookmarks/ephy-bookmarks-editor.c (cmd_bookmarks_export) 

	Add back the gtk_widget_destroy() to really fix bug #327438

2006-01-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/bookmarks/ephy-bookmarks-editor.c (cmd_bookmarks_export) 

	Fix bookmark exporting, so that it can be cancelled. 
	Fixes bug #327438

2006-01-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Add licence to about dialogue. Patch by Brian Pepple,
	bug #327998.

2006-01-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (impl_get_embed_single):
	* embed/ephy-embed-single.c: (ephy_embed_single_init):
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Decouple embed single instantiation and initialisation.
	Prevents double-initialisation on startup.

	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyContentPolicy.h:

	Remove embed single variable, it was unused.

2006-01-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (create_caret_indicator),
	(ephy_statusbar_init), (ephy_statusbar_new),
	(ephy_statusbar_set_caret_mode):
	* src/ephy-statusbar.h:
	* src/ephy-window.c: (browse_with_caret_notifier):

	Add caret mode indicator UI. Bug #145581.

2006-01-18  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks-menu.c
	
	Do not add OpenTabs action if too-few items in the menu.
	Bug #327390.

2006-01-18  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-properties.c
	
	Removed inappropriate bold and mnemonic.
	Bug #327401.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (row_is_separator), (setup_fonts_dialog),
	(create_autodetectors_combo), (prefs_dialog_init):
	
	Put "Off" at the top of the combo, followed by a separator row.
	Bug #125723.

2006-01-17  Crispin Flowerday  <gnome@flowerday.cx>

	* lib/widgets/ephy-node-view.c (ephy_node_view_add_column): 

	When adding a column that can be sorted on, re-create the
	sort model, so that it sets up the sort method correctly.
	Fixes bug #320686

2006-01-17  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed-event.c: (ephy_embed_event_get_property):
	* embed/ephy-embed-event.h:
	* embed/mozilla/mozilla-embed-event.cpp:
	* src/ephy-tab.c: (save_property_url),
	(ephy_tab_dom_mouse_click_cb):
	* src/ephy-window.c: (update_popups_tooltips), (show_embed_popup):
	* src/epiphany.defs:
	* src/epiphany.override:
	* src/popup-commands.c: (popup_cmd_link_in_new_window),
	(popup_cmd_link_in_new_tab), (popup_cmd_bookmark_link),
	(popup_cmd_copy_link_address), (save_property_url),
	(popup_cmd_open_link), (popup_cmd_set_image_as_background),
	(popup_cmd_copy_image_location), (popup_cmd_open_image):

	Change the 'ephy_embed_event_get_property' function
	return a GValue* rather than taking a pointer to it as
	an argument.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:
	* embed/mozilla/mozilla-notifiers.cpp:

	Fix leaks, minor cleanups.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_monitor_timeout_cb),
	(ephy_file_monitor_cb):
	* lib/ephy-file-helpers.h:

	Add event type to the callback.

	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	
	New function, like NS_NewFileURI (which we can't use since
	nsNetUtil.h conflicts with embed strings).

	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:

	Check that the user CSS file exists before registering it.
	Also handle file-deleted events.

	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_build):
	* src/bookmarks/ephy-topics-palette.c:
	(ephy_topics_palette_constructor),
	(ephy_topics_palette_class_init):

	Build fixes.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c:

	Fix compile with libgnome HEAD.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.5.1 ===

	* NEWS:
	* configure.ac:
	* data/Makefile.am:
	* data/chrome/Makefile.am:
	* po/POTFILES.in:
	R src/bookmarks/ephy-new-bookmark.c:
	R src/bookmarks/ephy-new-bookmark.h:
	R src/bookmarks/ephy-topics-selector.c:
	R src/bookmarks/ephy-topics-selector.h:

	Fix the tarball.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.5 ===

	* configure.ac:
	* data/chrome/Makefile.am:

	Updates.

2006-01-17  Christian Persch  <chpe@cvs.gnome.org>

	* data/chrome/epiphany.manifest.in:

	Fix number of /'s in URI.

	* data/epiphany.schemas.in:

	Add new entries.
		
	* embed/mozilla/EphyAboutModule.cpp:
	
	Fix title.

	* data/glade/prefs-dialog.glade:
	* embed/ephy-embed-prefs.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-notifiers.h:
	* lib/eel-gconf-extensions.c: (eel_gconf_unset_key),
	(eel_gconf_notify):
	* lib/eel-gconf-extensions.h:
	* lib/egg/egg-editable-toolbar.c: (popup_context_menu_cb),
	(button_press_event_cb), (egg_editable_toolbar_set_ui_manager),
	(egg_editable_toolbar_set_selected):
	* lib/ephy-dialog.c: (set_value_from_pref), (set_pref_from_value),
	(set_value_from_togglebutton), (strcmp_with_null),
	(get_index_from_value), (compare_values),
	(set_togglebutton_from_value), (set_pref_from_info_and_emit),
	(spinbutton_changed_cb), (save_info):
	* lib/ephy-dialog.h:
	* lib/ephy-file-helpers.c: (ephy_file_monitor_timeout_cb),
	(ephy_file_monitor_cb), (ephy_file_monitor_add),
	(ephy_file_monitor_cancel):
	* lib/ephy-file-helpers.h:
	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_file):
	* src/ephy-window.c:
	* src/popup-commands.c: (popup_cmd_bookmark_link):
	* src/prefs-dialog.c: (prefs_dialog_finalize), (setup_font_combo),
	(fonts_language_changed_cb), (font_prefs_dialog_response_cb),
	(row_is_separator), (setup_fonts_dialog),
	(font_prefs_button_clicked_cb), (css_checkbox_toggled),
	(css_edit_button_clicked_cb), (prefs_dialog_init):

	Rework font prefs, and add user stylesheet setting.

	* src/bookmarks/ephy-bookmark-action-group.c: (node_added_cb):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_get_local):
	* src/window-commands.c: (window_cmd_file_bookmark_page):

	Some build fixes.
	
2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-action.c
	
	Removed left-over function.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmarks-menu.c
	
	Added the 'Local' topic to bookmarks menu.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/Makefile.am
	
	Forgotten Makefile changes.
	
	* src/epiphany.defs

	'Fixes' for the python interface.
	Probably need to regenerate somehow, but don't know how do it correctly.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/Makefile.am

	Removed ephy-new-bookmark and ephy-topics-selector from the Makefile.
	
	* src/ephy-history-window.c
	* src/popup-commands.c
	* src/window-commands.c
	* src/bookmarks/ephy-bookmarks-editor.c
	
	Removed all the slightly different bits of code to create a
	bookmark and called ephy_bookmarks_ui_add_bookmark instead.
	
	* src/bookmarks/ephy-bookmarks.c
	* src/bookmarks/ephy-bookmarks.h
	
	Moved the hashtable for bookmark windows to ephy-bookmarks-ui.
	Added a new field "usericon" to the ephynode/bookmarks database,
	to store the URL of the user-defined icon (if any). It can be
	NULL (use site icon), "" (use none), or a URL.

	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-bookmark-properties.h
	
	Large changes to the bookmark properties window to handle different
	use cases (adding or changing a bookmark), to use the new topics
	palette widget, and to support the new usericon.
	
	* src/bookmarks/ephy-bookmarks-ui.c
	* src/bookmarks/ephy-bookmarks-ui.h

	Large additions to ephy-bookmarks-ui to replace ephy-new-bookmark.
	Fixed some bugs in the datatype handlers for the toolbar which
	are supplied by ephy-bookmarks-ui.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-topics-palette.c
	* src/bookmarks/ephy-topics-palette.h
	
	Implemented a new widget for topic selection that tries
	to organise the topics for the user.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-topic-action.c
	
	Handle DnD to topics on the toolbar.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-editable-toolbar.h
	
	Checking in forgotten changes to the editable toolbar API.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* src/bookmarks/ephy-bookmark-action.c
	
	Cleaned up ephy-bookmark-action.c to match the new
	gtk-ui-manager based popup menu on the toolbar.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/egg/egg-editable-toolbar.c
	
	EggEditableToolbar no longer supports middle-mouse-button drag.
	Fixed a bug in the popup-menu drag.
	Now uses GtkUIManager for the popup-menu.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/ephy-stock-icons.c
	* lib/ephy-stock-icons.h
	
	Added stock_bookmark as one of our stock icons.

2006-01-17  Peter Harvey  <peter.a.harvey@gmail.com>

	* lib/ephy-node.c
	
	Do not try to store a string parameter if it is null (avoids segfault).

2006-01-16  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/mozilla/EphyBrowser.cpp:

	When looking at modified text areas and forms, don't
	look at disabled or invisible elements. Patch by
	chpe, part of bug #155603
	
2006-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:
	* src/Makefile.am:

	Add NetworkManager magic for connection status autodetection.
	Defaults to disabled because I'm not very happy with the libnm-glib
	implementation. Oh, and it may crash on startup, too.

2006-01-15  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* lib/ephy-adblock.h:
	* lib/ephy-adblock.c:
	* embed/ephy-adblock-manager.h:
	* embed/ephy-adblock-manager.c:

	Add a method to EphyAdblock interface, ephy_adblock_manager_edit_rule,
	so one can allow/disallow an url.
	Add a method to EphyAdblockManager, ephy_adblock_manager_has_blocker, 
	so one can ask it whether a blocker is running.

2006-01-15  Crispin Flowerday  <gnome@flowerday.cx>

	* data/chrome/Makefile.am:
	* data/chrome/about.xhtml:
	* data/chrome/brand.dtd.in:
	* data/chrome/brand.properties.in:
	* data/chrome/epiphany.manifest.in:

	Override the page that is shown for the about: url so
	that it doesn't say "Deer Park"

2006-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:

	Only use the directory service provider on gecko 1.8;
	gecko 1.7 uses a different method to register chrome.

2006-01-14  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/mozilla/mozilla-embed-single.cpp (init_services): 

	Simplify creation and reference counting of the
	EphyDirectoryProvider class.

2006-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:
	
	Add defines and automake conditional for toolkit flavour.

	* configure.ac:
	* data/Makefile.am:
	A data/chrome/.cvsignore:
	A data/chrome/Makefile.am:
	A data/chrome/brand.dtd.in:
	A data/chrome/brand.properties.in:
	A data/chrome/epiphany.manifest.in:
	
	Provide branding so mozilla dialogues don't show "Deer Park" or
	"Firefox" but "Epiphany" instead.

	* embed/mozilla/Makefile.am:
	A embed/mozilla/EphyDirectoryProvider.cpp:
	A embed/mozilla/EphyDirectoryProvider.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Add a directory service provider.

2006-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-stock-icons.c:
	* lib/ephy-stock-icons.h:

	Remove obsolete close-tab stock icon.

2006-01-13  Christian Persch  <chpe@cvs.gnome.org>

		* data/ui/epiphany-toolbar.xml:
	* src/ephy-window.c:

	Fix zoom buttons order on default toolbar. Set short-label
	property for zoom actions.

2006-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Don't require a HTML document to activate typeaheadfind.
	Bug #326813.

2006-01-13  Christian Persch  <chpe@cvs.gnome.org>

	A embed/mozilla/EphyPromptService.cpp:
	A embed/mozilla/EphyPromptService.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:
	* po/POTFILES.in:

	Implement nsIPromptService ourself.

2006-01-12  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-toolbar.xml:
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_load):

	Add Zoom In/Out buttons to default toolbar layout and toolbars
	editor repertoire. Bug #117923.

2006-01-12  Christian Persch  <chpe@cvs.gnome.org>

		* configure.ac:
	* Makefile.am:

	Enable zeroconf by default now that gnome-vfs dns-sd can use
	avahi and more distros are hopefully shipping with that.
	Still can be disabled by --disable-zeroconf.

2006-01-12  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_connect_to_session_bus):

	Fix compiler warnings.

2006-01-11  Christian Persch  <chpe@cvs.gnome.org>

		* data/default-prefs-common.js:

	Disable <a ping>.
	
2006-01-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add another contract ID check, only on gecko >= 1.8.

2006-01-11  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Don't delete epiphany-fonts.schemas on make clean.

2006-01-11  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	More mime types.

2006-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Fix gecko version check to use AC_EGREP_CPP instead of
	grepping the header file directly. Misc fixes.

2006-01-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.h:
	* embed/mozilla/EphyContentPolicy.cpp: (ShouldLoad):
	* embed/ephy-embed.h:
	* embed/ephy-embed.c: (ephy_embed_base_init):

	EphyContentPolicy now emits a signal when a content is blocked.

2006-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Fix pkgconfig_DATA.

2006-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	R data/epiphany-1.10.pc.in:
	A data/epiphany.pc.in:
	* m4/gecko.m4:

	Various improvements to gecko.m4. Generate the versioned .pc file
	from the unversioned .pc.in file.

2006-01-05  thetroublemaker  <thetroublemaker@inventati.org>

	* src/ephy-notebook.c:

	changed ephy_tab_get_title_composite to ephy_tab_get_title,
	so that now 'Loading ' is not displayed when loadin' a new
	tab. Bug #323468.

2006-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_delete_event):

	Exit ppv mode when clicking the window close button. Bug #326136.

2006-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Make ESC cancel the content handler dialogue. Bug #325811.

2006-01-06  Crispin Flowerday  <gnome@flowerday.cx>

	* src/window-commands.c (window_cmd_help_about): 

	Change the copyright year to 2006

2006-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	R data/epiphany.applications:

	Remove applications file.

2006-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-adblock.c:
	* lib/ephy-file-helpers.c:

	Fix compiler warnings.

2006-01-04  Christian Persch  <chpe@cvs.gnome.org>

	R data/art/epiphany-close-tab.png:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-notebook.c: (build_tab_label):

	Go back to using the gtk stock close icon, to get correct
	themeing in a11y themes.

2006-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (entry_changed_cb), (set_focus_cb),
	(ephy_find_toolbar_grab_focus), (ephy_find_toolbar_find_next),
	(ephy_find_toolbar_find_previous), (ephy_find_toolbar_open),
	(ephy_find_toolbar_close):

	Fix warning when Ctrl-F while the find toolbar is already shown.
	Fix next/prev button sensitivity when find wrapped around.

	* src/ephy-window.c:

	Add more XF86XK key codes.

2006-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac:
	* src/ephy-main.c:
	R src/ephy-automation.h:

	Remove various references to bonobo, ephy is now officially
	monkey free!

2006-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/Makefile.am:

	Fix some white space issues to keep make and emacs happy

2006-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-dbus.c (ephy_dbus_connect_to_session_bus) 

	Fix the arguments to the dbus_connection_set_exit_on_disconnect call
	for the session bus.

2006-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-dbus.c (ephy_dbus_connect_to_session_bus) 

	Tell dbus not to exit the application if the bus disconnects.

2006-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:

	Remove unneeded LINK line.

2006-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* embed/mozilla/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Don't include generated files in the tarball. Bug #319440.

	R help/C/Makefile.am:
	R help/es/Makefile.am:
	R help/eu/Makefile.am:
	R help/fi/Makefile.am:
	R help/ja/Makefile.am:
	R help/uk/Makefile.am:

	Remove obsolete files.

2006-01-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_connect_to_session_bus):

	Fix compilation with DBUS 0.6 (DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT constant removed).

2006-01-02  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	R data/GNOME_Epiphany_Automation.server.in:
	* data/Makefile.am:
	A data/epiphany-service.xml:
	A data/org.gnome.Epiphany.service.in:
	* doc/reference/Makefile.am:
	R idl/.cvsignore:
	R idl/EphyAutomation.idl:
	R idl/Makefile.am:
	* lib/Makefile.am:
	R lib/ephy-dbus.c:
	R lib/ephy-dbus.h:
	* lib/ephy-file-helpers.c: (ephy_file_launch_application):
	* src/Makefile.am:
	A src/ephy-activation.c:
	A src/ephy-activation.h:
	A src/ephy-dbus.c:
	A src/ephy-dbus.h:
	* src/ephy-main.c: (main):
	* src/ephy-shell.c: (ephy_shell_init), (open_urls),
	(dbus_g_proxy_finalized_cb), (ephy_shell_startup),
	(ephy_shell_dispose):

	Bonobo is dead; long live the Bonobos!
	Patch by Gustavo Gama, bug #322463.

2006-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-01-01  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.4 ===

	* NEWS:
	* configure.ac:
	* data/Makefile.am:

2005-12-31  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-encoding-dialog.c: (sync_encoding_against_embed),
	(embed_net_stop_cb), (sync_embed_cb),
	(ephy_encoding_dialog_finalize):

	When in automatic mode, update the treeview to reflect
	the currently selected encoding. Fixes bug #127757

2005-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* plugins/desktop-file/Makefile.am:
	
	Add include subdirs for broken distros. Bug #321841.
	Add plugins.symbols to EXTRA_DIST.

2005-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Improve "gecko not found" message. Bug #319253.

2005-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_helpers_init),
	(my_gdk_spawn_make_environment_for_screen),
	(make_spawn_environment_for_sn_context),
	(ephy_file_launch_application), (launch_desktop_item):

	Put a marker in the environment to detect when we launch ourself
	as a helper app. Fixes bug #324828.

2005-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Zoom on Ctrl-=, Ctrl-KP+, Ctrl-KP- too. Bug #105183.

2005-12-23  Christian Neumair  <chris@gnome-de.org>

	* src/ephy-session.c: (offser_to_resume):

	Always center dialog on screen. Bug #324896.

2005-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Show warning on mixed content in the tooltip. Bug #321508.

2005-12-19  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/Makefile.am:
	* embed/ephy-adblock-manager.c:
	* embed/ephy-adblock-manager.h:
	* embed/ephy-embed-shell.c: (ephy_embed_shell_finalize):
	* embed/ephy-embed-shell.h:
	* embed/mozilla/EphyContentPolicy.cpp: (EphyContentPolicy::ShouldLoad):
	* lib/Makefile.am:
	* lib/ephy-adblock.h:
	* lib/ephy-adblock.c:
	* src/ephy-shell.c: (ephy_shell_get_extensions_manager):

	Add some code so ad blocking should be more easy. Based on the fact
	that Epiphany already has its own content policy component (EphyContentPolicy).
	The new design adds:
	- an interface, EphyAdBlock
	- a manager, EphyAdBlockManager, pointing to a blocker (possibly no one).

2005-12-16  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* lib/egg/egg-editable-toolbar.c: (configure_item_cursor):
	Use a gtk stock cursor (GDK_HAND2) instead of already removed image. 
	Fixes bug #324265.

2005-12-15  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single: (impl_import):

	Fix a compile warning.
	
2005-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* plugins/desktop-file/Makefile.am:
	A plugins/desktop-file/plugin.symbols:

	Only export necessary symbols.

2005-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Install the fonts schemas file too.

2005-12-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-12-12  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.3.1 ===

	* NEWS:
	* configure.ac:

2005-12-12  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Fix desktop file install.

2005-12-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-12-11  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.3 ===

	* NEWS:
	* configure.ac:

2005-12-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:
	A src/ephy-cert-manager-dialog.c:
	A src/ephy-cert-manager-dialog.h:
	R src/ephy-certificate-manager.c:
	R src/ephy-certificate-manager.h:
	* src/window-commands.c:

	Fix stupid mistake.

2005-12-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/glade/Makefile.am:
	* data/glade/certs-manager.glade:
	* data/ui/epiphany-ui.xml:
	* embed/Makefile.am:
	A embed/ephy-certificate-manager.c:
	A embed/ephy-certificate-manager.h:
	A embed/ephy-x509-cert.c:
	A embed/ephy-x509-cert.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:
	A embed/mozilla/mozilla-x509-cert.cpp:
	A embed/mozilla/mozilla-x509-cert.h:
	* src/Makefile.am:
	A src/ephy-certificate-manager.c:
	A src/ephy-certificate-manager.h:
	* src/ephy-window.c:
	* src/window-commands.c:
	* src/window-commands.h:

	Add certificate manager. Patch by Robert Marcano and Crispin
	Flowerday. Fixes bug #119090.

2005-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (pdm_dialog_cookies_construct),
	(pdm_dialog_cookie_add):

	Fix crash when adding a cookie while the dialogue is open.

2005-12-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyFind.cpp:

	Minor code cleanup.

	* src/ephy-find-toolbar.c: (entry_key_press_event_cb),
	(ephy_find_toolbar_close):

	Also check for GDK_ISO_Enter.

	* src/ephy-window.c: (sync_tab_address):

	Close the find toolbar when loading a new page.

2005-12-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_scroll),
	(ephy_embed_page_scroll), (ephy_embed_scroll_pixels):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Add ephy_embed_scroll_pixels.

2005-12-06  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed.c: (ephy_embed_scroll),
	(ephy_embed_page_scroll):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-find-toolbar.c: (entry_key_press_event_cb):

	Forward up/down/page up/page down from the findbar entry
	to the embed.

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

		* src/bookmarks/ephy-related-action.c: (node_destroyed_cb):
	
		Don't try to connect signals to the destroyed node!
		
2005-12-05  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-find-toolbar.c: (entry_changed_cb),
	(ephy_find_toolbar_request_close):

	Fix a compile warning, and don't bother requesting a close
	if the find bar is already closed

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tabs-menu.c: (tab_set_action_accelerator):
	
	Use sizeof() here.

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-langs.c:
	
	Updated comment to refer to the schema autogeneration tool.

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Remove a unused popup menu declaration.

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/print.glade:
	* embed/print-dialog.c: (ephy_print_setup_dialog_new):

	Remove the paper selector from the print setup dialogue,
	we have one in the print dialogue already.

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/certificate-dialogs.glade:
	* data/glade/epiphany.glade:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* src/pdm-dialog.c: (show_cookies_properties), (pdm_dialog_init):

	Fix spacings to be HIG compliant. Set window roles.

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/languages.h:

	Add "tt".

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add image/x-png type.

2005-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Use --with-gecko in the distcheck configure args.

2005-12-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-find.c: (ephy_embed_find_set_selection):
	* embed/ephy-embed-find.h:
	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:
	* embed/mozilla/mozilla-embed-find.cpp:

	While in find mode, set the selection colour to "attention".

	* src/ephy-find-toolbar.c: (set_status), (clear_status),
	(tab_search_key_press_cb), (entry_key_press_event_cb),
	(entry_activate_cb), (set_focus_cb),
	(ephy_find_toolbar_set_window), (ephy_find_toolbar_init),
	(ephy_find_toolbar_class_init), (ephy_find_toolbar_set_embed),
	(ephy_find_toolbar_open), (ephy_find_toolbar_close),
	(ephy_find_toolbar_request_close):
	* src/ephy-find-toolbar.h:
	* src/ephy-window.c: (sync_tab_document_type),
	(find_toolbar_close_cb), (ephy_window_set_print_preview),
	(ephy_window_get_find_toolbar), (ephy_window_get_context_event):

	Refactor find toolbar closing not to crash with auto-closing popups.
	Unset the selection colour on close.
	Remove dead #ifdef FIND_WHILE_TYPING_IN_EMBED code.

2005-12-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialog.cpp:

	Add a comment for translators.

2005-11-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (pdm_dialog_cookie_scroll_to):

	Fix transposed arguments.

2005-11-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-string.c: (ephy_string_collate_key_for_domain):
	* lib/ephy-string.h:

	Add a method to generate collation keys for domain names.

	* src/pdm-dialog.c: (cookie_search_equal),
	(pdm_dialog_cookies_construct), (cookie_host_to_iter),
	(compare_cookie_host_keys), (pdm_dialog_fill_cookies_list),
	(pdm_dialog_cookies_destruct), (pdm_dialog_cookie_add),
	(pdm_dialog_cookie_scroll_to), (sync_notebook_tab),
	(pdm_dialog_init), (pdm_dialog_finalize), (pdm_dialog_open):
	* src/pdm-dialog.h:
	* src/window-commands.c: (window_cmd_edit_personal_data):

	Open the PDM dialogue on the cookies page scrolled to show the
	cookies of the currently loaded page, if there are any. Sort
	cookies by domain. Allow treeview typeaheadfind search to find
	by substring not prefix.

2005-11-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/Makefile.am:
	R data/bme.desktop.in:
	A data/bme.desktop.in.in:
	R data/epiphany.desktop.in:
	A data/epiphany.desktop.in.in:

	Remove empty DocPath from desktop files, and add bugzilla version.
	Generate the .in files from configure.

2005-11-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Suppress some C++ compiler warnings.

2005-11-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Move more checks to gecko.m4.

2005-11-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Correctly save and restore CXXFLAGS.

2005-11-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/ephy-embed-single.c:
	* embed/ephy-embed-single.h:
	* src/epiphany.defs:

	Add chrome: and resource: to the safe list; otherwise
	forms and scrollbars break. Fixes bug #316498.

2005-11-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c:

	Don't warn when reading a .xml when we previously read the
	.ephy-extension for this identifier. Allows .xml and .ephy-extension
	to co-exist in ~/.gnome2/epiphany/extensions.

2005-11-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c:

	Delay reloads when we get many change notifications in a short time.
	Fixes bug #319993.

2005-11-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Add F5 as accel for reload.

2005-11-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c:

	Set the model's sort column only after filling it. Vastly improves
	delay when opening the PDM dialogue when you have many cookies.

2005-11-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix the nsIPassword.h presence check.

2005-11-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:

	Prettify CRL import dialogue. Fixes bug #321590.

2005-11-15  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:
	* data/glade/prefs-dialog.glade:
	* data/glade/print.glade:
	* src/pdm-dialog.c: (pdm_dialog_response_cb), (pdm_dialog_init):
	* src/prefs-dialog.c: (setup_add_language_dialog),
	(prefs_dialog_init):

	Don't put the prefs/pdm dialogue over all windows. Make the
	add-language dialogue modal to the prefs dialogue.

2005-11-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Mark message for translation. Patch by Guilherme de S. Pastore,
	fixes bug #319988.

2005-11-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:
	* embed/mozilla/EphyAboutModule.h:

	Fix for mozilla API change.

2005-11-12  Philip Langdale  <philipl@mail.utexas.edu>

	* data/ui/epiphany-ui.xml: Remove accelerator actions
	for extra keybindings.

	* src/ephy-lockdown.c: (update_window):
	Don't manipulate removed "FileSave" action.

	* src/ephy-toolbar.c
	* src/ephy-toolbar.h: (ephy_toolbar_get_action_group):

	Add getter for the toolbar's action group.

	* src/ephy-window.c: (ephy_window_key_press_event):

	Transition over to the Galeon mechanism for handling
	extra keybindings. This maps the keybindings to
	actions so that no extra actions are required. The
	only subtlety is that some of the actions come from
	the toolbar, so access to its action group is required.

	* src/window-commands.c
	* src/window-commands.h: (window_cmd_go_back/forward/home):
	Remove the now unsued back/forward/home callbacks.

2005-11-12  Christian Persch  <chpe@cvs.gnome.org>

		* data/Makefile.am:

	Fix schemas install and add generate-font-schemas.py
	to EXTRA_DIST.

2005-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	* data/default-prefs-common.js:
	* data/generate-font-schemas.py:
	* data/epiphany-fonts.schemas:

	Add schema entries for the fonts keys.

2005-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-11-12  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.2 ===

	* Makefile.am:

	Pass make distcheck.

	* NEWS:
	* configure.ac:

	Updated for 1.9.2.

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml),
	(egg_toolbars_model_save), (parse_data_list), (parse_item_list),
	(parse_toolbars):
	* src/bookmarks/ephy-bookmarks-ui.c:
	(ephy_bookmarks_ui_attach_toolbar_model):

	Fix compile warnings.

2005-11-10  Crispin Flowerday  <gnome@flowerday.cx>

	* lib/ephy-file-helpers.c
	* lib/widgets/ephy-location-entry.c
	* src/ephy-session.c
	* src/bookmarks/ephy-bookmarks-import.c:

	Remove some unused variables
	
2005-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Rewrite the contractid check. Now works with builds without
	--with-default-mozilla-five-home.
	Balance AC_LANG_POP/PUSH.
			
2005-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Use $PACKAGE_NAME.

2005-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Tiny output improvements.
		
2005-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Add check for contract IDs which we need but are only provided
	by extensions which may or may not have been built into gecko.
	We cannot check for the headers here since they are always present.

2005-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:

	Because the Dwnloads window is a GtkDiaog for technical reasons,
	we set the type hint to 'normal' so it still has close/minimise
	buttons.

2005-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	A m4/gecko.m4:

	Distill the gecko detection logic into a macro package.

2005-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.c: (ephy_embed_persist_class_init):

	Use canonical name form.

2005-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/eggstatusicon.c: (egg_status_icon_class_init):
	* lib/egg/eggtrayicon.c: (egg_tray_icon_class_init):
	* lib/egg/eggtraymanager.c: (egg_tray_manager_class_init):

	Don't translate param spec strings.

2005-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):
	* embed/mozilla/mozilla-embed-single.cpp:

	Make "network-status" property readwrite.

2005-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):
	* lib/egg/eggstatusicon.c: (egg_status_icon_class_init):
	* lib/egg/eggtrayicon.c: (egg_tray_icon_class_init):
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_class_init):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_class_init):
	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_class_init):
	* src/ephy-find-toolbar.c: (ephy_find_toolbar_class_init):
	* src/ephy-fullscreen-popup.c: (ephy_fullscreen_popup_class_init):
	* src/ephy-location-action.c: (ephy_location_action_class_init):
	* src/ephy-python-extension.c: (ephy_python_extension_class_init):
	* src/ephy-session.c: (ephy_session_class_init):
	* src/ephy-tab.c: (ephy_tab_class_init):
	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_class_init):
	* src/ephy-toolbar.c: (ephy_toolbar_class_init):
	* src/ppview-toolbar.c: (ppview_toolbar_class_init):

	More static strings.

2005-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-dialog.c: (ephy_embed_dialog_class_init):
	* embed/ephy-embed-persist.c: (ephy_embed_persist_class_init):
	* embed/ephy-history.c: (ephy_history_class_init):
	* embed/mozilla/mozilla-download.cpp:
	* lib/egg/egg-editable-toolbar.c:
	(egg_editable_toolbar_class_init):
	* lib/egg/egg-toolbar-editor.c: (egg_toolbar_editor_class_init):
	* lib/egg/eggstatusicon.c: (egg_status_icon_class_init):
	* lib/egg/eggtraymanager.c: (egg_tray_manager_class_init):
	* lib/ephy-dialog.c: (ephy_dialog_class_init):
	* lib/ephy-file-chooser.c: (ephy_file_chooser_class_init):
	* lib/ephy-node-db.c: (ephy_node_db_class_init):
	* lib/widgets/ephy-node-view.c: (ephy_node_view_class_init):
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_class_init):
	* lib/widgets/ephy-zoom-action.c: (ephy_zoom_action_class_init):
	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_class_init):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_class_init):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_class_init):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_class_init):
	* src/bookmarks/ephy-new-bookmark.c:
	(ephy_new_bookmark_class_init):
	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_class_init):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_class_init):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_class_init):
	* src/ephy-history-window.c: (ephy_history_window_class_init):
	* src/ephy-location-action.c: (ephy_location_action_class_init):
	* src/ephy-navigation-action.c:
	(ephy_navigation_action_class_init):
	* src/ephy-notebook.c: (ephy_notebook_class_init):
	* src/ephy-tab.c: (ephy_tab_class_init):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_class_init):
	* src/ephy-window.c: (ephy_window_class_init):

	Mark strings in param specs as static.

2005-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Allow compilation against xulrunner. Patch by
	Robert O'Callahan <rocallahan@novell.com>.

2005-11-07  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Christian Persch <chpe@gnome.org>

	* plugins/desktop-file/plugin.cpp: Fix memleaks in the usage of
	g_key_file_get_string(). Fixes bug #320901.

2005-11-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialog.cpp:

	Scroll the view so the selected cert is visible. Fixes bug #320758.

2005-11-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_check_location_writable):

	String cleanup.

2005-11-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-find.c:
	* embed/ephy-embed-find.h:
	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:
	* embed/mozilla/mozilla-embed-find.cpp:

	More detailed result code from find backend.

	* src/ephy-find-toolbar.c: (set_status), (clear_status),
	(entry_changed_cb), (ephy_find_toolbar_init),
	(ephy_find_toolbar_find_next), (ephy_find_toolbar_find_previous),
	(ephy_find_toolbar_open):

	Add status text to the find toolbar.
	Reverse Next/Previous button order.

2005-11-03  Christian Persch  <chpe@cvs.gnome.org>

	* data/art/Makefile.am:
	R data/art/hand-open.png:
	* lib/egg/egg-toolbar-editor.c: (drag_data_get_cb),
	(set_drag_cursor):

	Use a gtk stock cursor (GDK_HAND2) instead of our own, un-themed one.

2005-11-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (favicon_drag_begin_cb),
	(ephy_location_entry_construct_contents):

	Simplify the drag icon code.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (favicon_create_drag_pixmap),
	(favicon_button_press_event_cb), (favicon_button_release_event_cb),
	(favicon_motion_notify_event_cb),
	(ephy_location_entry_construct_contents):

	Show drag icon with page title + URL when dragging from the drag
	handle.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c: (update_popup_actions_visibility),
	(show_embed_popup):

	Simplify context menu code by removing the extra
	EphyDocument*FramePopup variants, and just setting the OpenFrame
	action's visibility accordingly; and fix its accelerator.
	Fixes bug #320520.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:
	* embed/mozilla/EphyAboutModule.h:

	Add titles with title capitalisation, and chanage the icon
	on the netOffline error page.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (create_item_from_action),
	(item_added_cb):

	Return early when the action doesn't exist; don't crash.
	Patch by Peter Harvey.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-fs-toolbar.xml:

	Remove spinner from fullscreen toolbars file.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (settings_change_notify),
	(settings_changed_cb), (ephy_window_key_press_event),
	(ephy_window_constructor):

	Use a single connection to the settings object, and
	also store the menubar accel instead of parsing it on
	each keypress.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Revert change from H18 patch which shouldn't have been committed.

2005-11-01  Philip Langdale  <philipl@mail.utexas.edu>

	* src/ephy-window.c: (ephy_window_key_press_event),
	(gtk_key_theme_changed_cb), (ephy_window_constructor),
	(ephy_window_class_init): I accidentally committed my
	half-complete port of the Galeon key-press event handler
	that allows emacs keybindings to work when I made my last
	commit. Whoops.

	This change addresses post-facto comments made by chpe :-)

	Nothing terribly profound; just attaching the GktSettings
	listener on a per-window, rather than global, basis and
	detecting the other keycodes for Enter/Return.

	As the original change wasn't described, I will do it here:
	Gtk+ has optional support for emacs style keybindings in
	GtkEditable based widgets. But, these keybindings often
	conflict with toplevel accelerators. To make things work
	sanely, we'd like the emacs keybindings to take priority when
	the Editable is focused, and the toplevel accelerators take
	priority for other widgets. As gtk2 uses outside-in event
	propagation, we have to attach a topevel event handler to
	get the event and then pass it on to the focused widget if
	appropriate - and that is what this change does.

2005-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (item_node_new), (item_node_free),
	(egg_toolbars_model_get_n_avail), (egg_toolbars_model_set_n_avail):

	Use GINT_TO_POINTER/GPOINTER_TO_INT when stuffing ints into pointers,
	and fix gcc 2.95 issues.

2005-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* src/ephy-tab.c: (popups_manager_free_info), (popups_manager_add),
	(popups_manager_show), (popups_manager_hide),
	(ephy_tab_popup_blocked_cb):

	Get the window name from the popup-blocked event.

2005-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/print-dialog.c: (ephy_print_verify_postscript):
	* lib/ephy-gui.c: (ephy_gui_check_location_writable):
	* src/bookmarks/ephy-bookmark-properties.c: (update_window_title):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(delete_topic_dialog_construct), (add_bookmarks_source),
	(import_bookmarks):
	* src/bookmarks/ephy-bookmarks.c: (redirect_cb):
	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):
	* src/ephy-extensions-manager.c: (dir_changed_cb):
	* src/ephy-tab.c: (update_net_state_message):

	More curly quotes.

2005-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_popups_tooltips):

	Use curly quotes.

2005-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dbus.c:
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults):

	Constification.

2005-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (cmd_bookmark_link):

	Use the history window as parent for the new-bookmark dialogue.
	Fixes bug #320329.

2005-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (build_search_box):

	Fix capitalisation, bug #320330.

2005-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_class_init),
	(ephy_history_add_page), (impl_add_page):
	* embed/ephy-history.h:
	* embed/mozilla/GlobalHistory.cpp:
	* lib/ephy-marshal.list:
	* src/epiphany.defs:

	Store the redirect and toplevel attributes when
	adding pages to the history (doesn't do anything with
	the info yet, though). Based on a galeon patch by tko.

2005-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/print-dialog.c:
	* lib/Makefile.am:
	* lib/ephy-dialog.c: (impl_construct):
	R lib/ephy-glade.c:
	R lib/ephy-glade.h:

	Remove ephy-glade since we don't need autoconnect anymore.

2005-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:
	* data/glade/prefs-dialog.glade:
	* data/glade/print.glade:
	* embed/downloader-view.c: (update_buttons),
	(downloader_view_build_ui), (download_dialog_pause),
	(download_dialog_stop), (download_dialog_response_cb),
	(download_dialog_delete_event_cb):
	* embed/print-dialog.c: (ephy_print_setup_dialog_response_cb),
	(ephy_print_setup_dialog_new):
	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_init):
	* src/pdm-dialog.c: (show_cookies_properties),
	(cookies_properties_clicked_cb), (pdm_dialog_cookies_construct),
	(passwords_show_toggled_cb), (pdm_dialog_passwords_construct),
	(pdm_dialog_response_cb), (pdm_dialog_init), (pdm_dialog_finalize):
	* src/prefs-dialog.c: (create_language_section),
	(prefs_dialog_response_cb), (prefs_clear_cache_button_clicked_cb),
	(set_homepage_entry), (prefs_homepage_current_button_clicked_cb),
	(prefs_homepage_blank_button_clicked_cb), (prefs_dialog_init):

	Remove glade callbacks, and connect from code instead.

2005-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-module.c: (ephy_module_load):

	Don't use BIND_LAZY when enabling debugging. That way we can find
	missing symbols in extensions more easily.

2005-10-30  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* lib/ephy-glade.c: (glade_signal_connect_func):
	* lib/ephy-module.c: (ephy_module_load):
	
	Use G_MODULE_BIND_LAZY when dlopening modules.

2005-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (create_download_path_button):

	Fix title capitalisation.

2005-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (create_download_path_button):

2005-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-nodes-cover.c: (ephy_nodes_get_covering):

	Add array bounds check; fixes bug #320169.

2005-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (create_item_from_action):

	Set the action's accel group. Fixes bug #319536.

2005-10-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_constructor):
	* lib/ephy-file-helpers.c: (ephy_file_get_downloads_dir):
	* lib/ephy-file-helpers.h:
	* src/prefs-dialog.c: (download_path_changed_cb),
	(create_download_path_button):

	Add ephy_file_get_downloads_dir() to get the actual downloads
	directory, and use it in the prefs dialogue, the filechooser, and
	the backend.

2005-10-29  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_key_press_event):

	Removed unused variable.

	* src/ephy-window.c: (ephy_window_constructor), (ephy_window_init),
	(ephy_window_set_is_popup):

	Move most of ephy_window_init code to constructor so properties are
	fully initialized before running that code.
	
2005-10-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-module.c: (ephy_module_load):

	Use G_MODULE_BIND_LAZY | G_MODULE_BIND_LOCAL when opening
	the extension module.

2005-10-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (bump_spinner_frame_cb),
	(ephy_spinner_start):

	Skip spinner update when we're not loaded. Should fix
	bug #320079.

2005-10-26  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:
	* embed/downloader-view.c: (status_icon_popup_menu_cb):

	Change downloader and pdm dialogue titles, bug #319843.

2005-10-25  Philip Langdale  <philipl@mail.utexas.edu>

	* src/ephy-link-action.c
	* src/ephy-link-action.h:
	(proxy_button_press_event_cb),
	(proxy_button_release_event_cb), (proxy_drag_begin_cb),
	(ephy_link_action_connect_proxy),
	(ephy_link_action_disconnect_proxy),
	(ephy_link_action_class_init), (ephy_link_action_init):

	Well, that didn't last long. Turns out this was a solved
	problem in EphyBookmarkAction but no one pointed it out
	until just now. Using gtk_button_pressed/released fixes
	everything.

2005-10-25  Philip Langdale  <philipl@mail.utexas.edu>

	* src/ephy-link-action.c
	* src/ephy-link-action.h:
	(proxy_button_release_event_cb), (proxy_drag_begin_cb),
	(ephy_link_action_connect_proxy),
	(ephy_link_action_disconnect_proxy),
	(ephy_link_action_class_init), (ephy_link_action_init):

	Fix bug #319529. Don't activate the action on a middle mouse
	button release event if the release is linked to a DnD.

	This requires adding state to the action to allow us to link
	the drag-begin event to the button-release event.

2005-10-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_add),
	(build_editing_table), (ephy_new_bookmark_construct),
	(ephy_new_bookmark_set_property), (ephy_new_bookmark_get_property):

	Remove info text referring to the not-committed markers in H18.

2005-10-23  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-10-23  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.1 ===

	* NEWS:
	* configure.ac:
	* doc/reference/tmpl/EphySingle.sgml:
	* doc/reference/tmpl/ephy-embed-single.sgml:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:
	* src/Makefile.am:

2005-10-22  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp: (impl_list_passwords):
	* src/pdm-dialog.c:
	* data/glade/epiphany.glade:

	Add a way to view stored password. Fix bug 316821.

2005-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add another mime type.

	* src/ephy-notebook.c:

	Remove the accidental commit from the H18 patch.

2005-10-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_parse_keyfile),
	(ephy_extensions_manager_load_ini_file),
	(ephy_extensions_manager_load_xml_file), (path_to_identifier),
	(ephy_extensions_manager_load_file), (reload_sync_cb), (reload_cb),
	(schedule_load_from_monitor), (dir_changed_cb), (cancel_timeout),
	(ephy_extensions_manager_init), (ephy_extensions_manager_dispose),
	(ephy_extensions_manager_class_init):

	Load the key files and xml files directly from disc, instead of
	getting their contents and parsing from memory.
	When a file changes, schedule a reload instead of processing it
	immediately, to cope with multiple changes (CREATED + CHANGED) in
	a row.

2005-10-21  Philip Langdale  <philipl@mail.utexas.edu>

	* data/ui/epiphany-ui.xml:
	Point main menu UI at toolbar actions.
	* src/ephy-lockdown.c:
	(update_window): Don't try and change the state of
	the now non-existent menu specific actions.
	* src/ephy-toolbar.c
	(ephy_toolbar_set_window): Sync up toolbar actions
	so that they will appear in menus to be identical to
	the old menu specific actions. This just means adding
	accelerators and shortcuts and adjusting tooltip text.	
	* src/ephy-window.c
	(sync_tab_navigation): Remove the menu specific actions
	and consequently, don't try to manipulate them.
	* src/window-commands.c
	* src/window-commands.h:
	(window_cmd_go_up): Remove unused callback.

2005-10-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-loader.c: (ephy_loader_get_object):
	* lib/ephy-loader.h:
	* lib/ephy-module.c: (ephy_module_load), (ephy_module_new):
	* lib/ephy-module.h:
	* lib/ephy-shlib-loader.c: (impl_get_object),
	(ephy_shlib_loader_class_init):
	* src/ephy-extensions-manager.c: (free_extension_info),
	(ephy_extensions_manager_load_ini_string), (get_loader_for_type),
	(load_extension):
	* src/ephy-python-loader.c: (impl_get_object):

	Expose the extension description keyfile directly to the loaders.

2005-10-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):

	Minor code cleanup.

2005-10-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-fullscreen-popup.c: (ephy_fullscreen_popup_constructor):
	* src/ephy-toolbar.c: (ephy_toolbar_constructor):
	* src/ephy-window.c:

	Remove fullscreen and leave-fullscreen stock icons; they're available
	in gtk+ since 2.8.

2005-10-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_folder),
	(ephy_bookmarks_import_mozilla):

	Adapt folder import to new menu code, patch by Peter Harvey.
	
2005-10-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar.c: (ephy_toolbar_set_security_state),
	(ephy_toolbar_init):
	* src/ephy-toolbar.h:

	Remove lock visibility setter.

	* src/window-commands.c: (window_cmd_help_about):

	Add Peter Harvey to about credits.

2005-10-17  Crispin Flowerday  <gnome@flowerday.cx>

	* src/epiphany.override
	* src/epiphany.defs
	* src/Makefile.am:

	Update python API to the new bookmark headers.

2005-10-17  Crispin Flowerday  <gnome@flowerday.cx>

	* src/Makefile.am:

	Fix the check-python-binding makefile target to work properly

2005-10-16  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	A data/ephy-xml2ini.xsl:
	* src/ephy-extensions-manager.c:

	Remove .xml parsing code and translate the .xml files to
	the new format with XSLT instead.

2005-10-16  Peter Harvey <pah06@uow.edu.au>

	H18 patch, by Peter Harvey <pah06@uow.edu.au>.
	
	* data/ui/epiphany-bookmark-editor-ui.xml:
	* data/ui/epiphany-ui.xml:
	* lib/egg/egg-editable-toolbar.c: (get_dock_position),
	(get_toolbar_position), (get_toolbar_nth), (find_action),
	(drag_data_delete_cb), (drag_begin_cb), (drag_end_cb),
	(drag_data_get_cb), (move_item_cb), (set_dock_visible),
	(remove_item_cb), (remove_toolbar_cb), (toggle_visibility_cb),
	(egg_editable_toolbar_add_visibility_items),
	(egg_editable_toolbar_add_popup_items), (popup_context_menu_cb),
	(button_press_event_cb), (configure_item_sensitivity),
	(configure_item_cursor), (connect_widget_signals),
	(action_sensitive_cb), (create_item_from_action),
	(create_item_from_position), (toolbar_drag_data_received_cb),
	(toolbar_drag_drop_cb), (toolbar_drag_motion_cb),
	(toolbar_drag_leave_cb), (configure_drag_dest), (create_dock),
	(toolbar_changed_cb), (unparent_fixed), (update_fixed),
	(toolbar_added_cb), (toolbar_removed_cb), (item_added_cb),
	(item_removed_cb), (egg_editable_toolbar_construct),
	(egg_editable_toolbar_set_ui_manager),
	(egg_editable_toolbar_set_property),
	(egg_editable_toolbar_get_property), (egg_editable_toolbar_init),
	(egg_editable_toolbar_finalize),
	(egg_editable_toolbar_get_edit_mode),
	(egg_editable_toolbar_set_edit_mode),
	(egg_editable_toolbar_set_fixed):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbar-editor.c: (compare_items),
	(item_added_or_removed_cb), (toolbar_removed_cb),
	(egg_toolbar_editor_set_model), (egg_toolbar_editor_finalize),
	(drag_begin_cb), (drag_end_cb), (drag_data_get_cb),
	(editor_create_item), (editor_create_item_from_name),
	(append_table), (update_editor_sheet), (egg_toolbar_editor_init):
	* lib/egg/egg-toolbar-editor.h:
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml),
	(egg_toolbars_model_save), (toolbar_node_new), (item_node_new),
	(item_node_free), (toolbar_node_free),
	(egg_toolbars_model_get_flags), (egg_toolbars_model_set_flags),
	(egg_toolbars_model_get_data), (egg_toolbars_model_get_name),
	(impl_add_item), (egg_toolbars_model_add_item),
	(egg_toolbars_model_add_toolbar), (parse_data_list),
	(parse_item_list), (parse_toolbars), (egg_toolbars_model_load),
	(egg_toolbars_model_class_init), (egg_toolbars_model_init),
	(egg_toolbars_model_finalize), (egg_toolbars_model_remove_toolbar),
	(egg_toolbars_model_remove_item), (egg_toolbars_model_move_item),
	(egg_toolbars_model_n_items), (egg_toolbars_model_item_nth),
	(egg_toolbars_model_n_toolbars), (egg_toolbars_model_toolbar_nth),
	(egg_toolbars_model_get_types), (egg_toolbars_model_set_types),
	(fill_avail_array), (egg_toolbars_model_get_avail),
	(egg_toolbars_model_get_n_avail), (egg_toolbars_model_set_n_avail):
	* lib/egg/egg-toolbars-model.h:
	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmark-action-group.c: (smart_added_cb),
	(smart_removed_cb), (node_changed_cb), (node_added_cb),
	(node_removed_cb), (ephy_bookmark_group_new):
	* src/bookmarks/ephy-bookmark-action-group.h:
	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(ephy_bookmark_action_sync_icon), (show_context_menu),
	(popup_menu_cb), (button_press_cb), (button_release_cb),
	(connect_proxy), (ephy_bookmark_action_updated),
	(ephy_bookmark_action_get_bookmark),
	(ephy_bookmark_action_set_bookmark),
	(ephy_bookmark_action_set_property),
	(ephy_bookmark_action_get_property),
	(ephy_bookmark_action_finalize), (ephy_bookmark_action_class_init),
	(ephy_bookmark_action_init), (ephy_bookmark_action_name),
	(ephy_bookmark_action_new):
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmark-factory-action.c:
	(ephy_bookmark_factory_action_get_type), (activate_item_cb),
	(build_menu_for_topic), (build_menu), (remove_placeholder_cb),
	(activate_placeholder_cb), (clicked_placeholder_cb),
	(realize_placeholder_cb), (create_tool_item), (connect_proxy),
	(ephy_bookmark_factory_action_class_init),
	(ephy_bookmark_factory_action_new):
	* src/bookmarks/ephy-bookmark-factory-action.h:
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_set_property),
	(ephy_bookmark_properties_get_property),
	(bookmark_properties_response_cb), (update_entry),
	(location_entry_changed_cb), (build_ui):
	* src/bookmarks/ephy-bookmarks-editor.c: (add_entry_monitor),
	(cmd_add_topic), (delete_topic_dialog_construct),
	(cmd_bookmarks_import), (ephy_bookmarks_editor_finalize),
	(ephy_bookmarks_editor_node_activated_cb),
	(ephy_bookmarks_editor_update_menu), (view_focus_cb),
	(add_focus_monitor), (remove_focus_monitor), (bookmarks_filter),
	(search_entry_search_cb), (ephy_bookmarks_editor_construct),
	(ephy_bookmarks_editor_set_parent),
	(ephy_bookmarks_editor_set_property),
	(ephy_bookmarks_editor_get_property), (ephy_bookmarks_editor_init):
	* src/bookmarks/ephy-bookmarks-menu.c: (append_bookmarks),
	(append_menu), (ephy_bookmarks_menu_build):
	* src/bookmarks/ephy-bookmarks-menu.h:
	* src/bookmarks/ephy-bookmarks-ui.c: (find_action),
	(activate_bookmarks_menu), (activate_favorites_menu),
	(erase_bookmarks_menu), (erase_favorites_menu), (tree_changed_cb),
	(node_added_cb), (node_changed_cb), (node_removed_cb),
	(ephy_bookmarks_ui_attach_window),
	(ephy_bookmarks_ui_detach_window), (toolbar_node_removed_cb),
	(topic_has_data), (topic_get_data), (topic_get_name),
	(bookmark_has_data), (bookmark_get_data), (bookmark_get_name),
	(bookmark_new_name), (ephy_bookmarks_ui_attach_toolbar_model),
	(ephy_bookmarks_ui_detach_toolbar_model):
	* src/bookmarks/ephy-bookmarks-ui.h:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_get_type),
	(ephy_bookmarks_init_defaults), (ephy_bookmarks_class_init),
	(ephy_bookmarks_save_delayed), (add_to_favorites),
	(update_bookmark_keywords), (ephy_bookmarks_init),
	(ephy_bookmarks_finalize), (ephy_bookmarks_add),
	(ephy_bookmarks_set_address), (ephy_bookmarks_set_icon),
	(ephy_bookmarks_add_keyword),
	(ephy_bookmarks_show_bookmark_properties),
	(ephy_bookmarks_get_from_id), (ephy_bookmarks_compare_topics),
	(ephy_bookmarks_compare_topic_pointers),
	(ephy_bookmarks_compare_bookmarks),
	(ephy_bookmarks_compare_bookmark_pointers):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-bookmarksbar-model.c:
	* src/bookmarks/ephy-bookmarksbar-model.h:
	* src/bookmarks/ephy-bookmarksbar.c:
	* src/bookmarks/ephy-bookmarksbar.h:
	* src/bookmarks/ephy-favorites-menu.c:
	* src/bookmarks/ephy-favorites-menu.h:
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_add),
	(build_editing_table), (ephy_new_bookmark_construct),
	(ephy_new_bookmark_set_property), (ephy_new_bookmark_get_property):
	* src/bookmarks/ephy-nodes-cover.c: (ephy_nodes_count_covered),
	(ephy_nodes_remove_covered), (ephy_nodes_remove_not_covered),
	(ephy_nodes_get_covered), (ephy_nodes_covered),
	(ephy_nodes_get_covering):
	* src/bookmarks/ephy-nodes-cover.h:
	* src/bookmarks/ephy-open-tabs-action.c: (activate_cb),
	(node_added_cb), (node_removed_cb), (ephy_open_tabs_group_new),
	(ephy_open_tabs_action_name):
	* src/bookmarks/ephy-open-tabs-action.h:
	* src/bookmarks/ephy-related-action.c: (node_changed),
	(node_destroyed), (open_link), (iface_init),
	(ephy_related_action_get_type), (ephy_related_action_new):
	* src/bookmarks/ephy-related-action.h:
	* src/bookmarks/ephy-topic-action-group.c: (node_changed_cb),
	(node_added_cb), (node_removed_cb), (ephy_topic_group_new):
	* src/bookmarks/ephy-topic-action-group.h:
	* src/bookmarks/ephy-topic-action.c: (ephy_topic_action_get_type),
	(create_tool_item), (ephy_topic_action_sync_label), (get_popup),
	(erase_popup), (child_added_cb), (child_changed_cb),
	(child_removed_cb), (menu_destroy_cb), (menu_init_cb),
	(button_deactivate_cb), (button_toggled_cb), (button_release_cb),
	(button_press_cb), (connect_proxy), (ephy_topic_action_updated),
	(ephy_topic_action_get_topic), (ephy_topic_action_set_topic),
	(ephy_topic_action_set_property), (ephy_topic_action_get_property),
	(ephy_topic_action_class_init), (ephy_topic_action_init),
	(ephy_topic_action_name), (ephy_topic_action_new):
	* src/bookmarks/ephy-topic-action.h:
	* src/bookmarks/ephy-topic-factory-action.c:
	(ephy_topic_factory_action_get_type), (sort_topics),
	(activate_item_cb), (build_menu), (remove_placeholder_cb),
	(activate_placeholder_cb), (clicked_placeholder_cb),
	(realize_placeholder_cb), (create_tool_item), (connect_proxy),
	(ephy_topic_factory_action_class_init),
	(ephy_topic_factory_action_new):
	* src/bookmarks/ephy-topic-factory-action.h:
	* src/ephy-link-action.c: (ephy_link_action_group_get_type),
	(ephy_link_action_group_new):
	* src/ephy-link-action.h:
	* src/ephy-lockdown.c: (find_name), (find_action_group),
	(update_window):
	* src/ephy-notebook.c: (move_tab_to_another_notebook),
	(ephy_notebook_switch_page_cb), (ephy_notebook_init),
	(tab_label_style_set_cb), (build_tab_label),
	(ephy_notebook_add_tab):
	* src/ephy-shell.c: (ephy_shell_get_toolbars_model):
	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_constructor),
	(ephy_toolbar_editor_finalize), (ephy_toolbar_editor_set_property),
	(ephy_toolbar_editor_class_init):
	* src/ephy-toolbar.c: (ephy_toolbar_realize),
	(ephy_toolbar_unrealize), (ephy_toolbar_finalize):
	* src/ephy-toolbars-model.c: (update_flags),
	(ephy_toolbars_model_load):
	* src/ephy-window.c: (ephy_window_get_type),
	(get_chromes_visibility), (sync_chromes_visibility),
	(ephy_window_key_press_event), (tool_item_enter_cb),
	(tool_item_leave_cb), (tool_item_drag_begin_cb),
	(connect_tool_item), (disconnect_tool_item), (disconnect_proxy_cb),
	(connect_proxy_cb), (update_chromes_actions), (show_embed_popup),
	(tab_added_cb), (tab_removed_cb), (ephy_window_set_chrome),
	(ephy_window_dispose), (ephy_window_class_init),
	(ephy_window_init), (ephy_window_finalize),
	(ephy_window_remove_tab), (ephy_window_set_zoom),
	(sync_prefs_with_chrome), (ephy_window_view_toolbar_cb):
	* src/ephy-window.h:

	Revision history:

	h18, released 2005/09/23, for Epiphany 1.8.0

	* Just an update for 1.8.0.
	
	h17, released 2005/08/30, for Epiphany 1.7.6 or CVS HEAD
	
	* Mostly just an update for 1.7.6.
	* Topic menus on the toolbar now open without releasing the mouse button.
	* Topic menus on the toolbar are now also hierarchical (see if you like it.
	
	h16, released 2005/08/25, for Epiphany 1.7.5 or CVS HEAD
	
	* Just an update for 1.7.5. Sorry, I've been busy. :)
	
	h15, released 2005/07/19, for Epiphany 1.7.2 or CVS HEAD
	
	* Code cleanup
	
	h14, released 2005/07/9, for Epiphany 1.7.1 or CVS HEAD
	
	* Improved helpful tip when adding a bookmark
	* Improved toolbar context menu
	* Toolbar visibility state is now saved
	* Separated bookmark/topic action groups into separate files
	* Topics in the overflow menu now behave as submenus
	* Now importing old bookmarksbar, and saving to new filename
	* Incremented toolbar file format version number to 1.1
	* Fixed the 'sticky' statusbar help
	* Fixed a crashing bug (dnd then open a topic on the toolbar)
	
	h13, released 2005/05/12, for CVS HEAD
	
	* Added middle-mouse drag-drop for the editable toolbar.
	* Fixed some warnings at compile and run time.
	* Added brief help for the user when adding a new bookmark.
	* Cleaned up the editable toolbar code a little.
	
	h12, released 2005/05/10, for CVS HEAD
	
	* Added new editing facilities for the editable toolbar.
	
	h11, released 2005/04/29, for CVS HEAD
	
	* Fixed bug in statusbar information for toolbar items.
	* Added an all-new 'Related' toolbar widget which changes to show 
	the most related topic whenever a bookmark is activated.
	
	h10, released 2005/04/15, for Epiphany 1.6.2 or CVS HEAD
	
	* Added statusbar information for all toolbar items.
	* Empty toolbars are now only deleted when exiting edit mode.
	* Fixed regression of middle-click for bookmarks on toolbar.
	* Fixed regression of ellipsized bookmark names in menus.
	
	h9, released 2005/04/12, for Epiphany 1.6.1
	
	* Updated patch for 1.6.1. Long time no see.
	* Now using EphyLink objects everywhere.
	
	h7, released 2004/10/21, for Epiphany 1.4.4
	
	* Updated patch for 1.4.4.
	* Fixed bugs causing crashes when bookmarks were added (thanks Reinout).
	* Added "Open in Tabs" back into bookmark menus where suitable.
	
	h6, released 2004/09/20, for Epiphany 1.4.0
	
	* Updated patch for 1.4.0.
	* Removed the bookmarks bar.
	* Generate shared XML string for bookmarks menu.
	* Slightly improve performance of node-cover code.
	* Delay adding bookmarks menu until it is first used.
	* Fixed bug(?) in ephy-node.
	
	h4, released 2004/08/08, for Epiphany 1.3.4
	
	* Updated patch due to changes to topics selector.
	* Removed 'Most Visited' from the min-cover calculations.
	* Fixed Epiphany 1.3.4 bug where topics in selector aren't sorted.
	* Updated patch due to other changes in Epiphany 1.3.4 source.
	
	h3, released 2004/07/12, for Epiphany 1.3.2
	
	* Simple update for Epiphany 1.3.2
	
	h3, released 2004/05/24, for Epiphany 1.2.5
	
	* Moved duplicated functions into a seperate file.
	* Improved topic selector.
	* Bookmarks toolbar topic menus now have subdivisions.
	* Topic names in menu now change if modified in the bookmarks editor.
	
	h2, released 2004/05/23, for Epiphany 1.2.5
	
	* Significantly cleaned up the code.
	* 'Most Visited' no longer appears as a submenu.
	* Subtopics are selected much more intelligently, giving a better
	  approximation to a true minimum cover.
	* Topic selector now shows suggestions with arrows, not bold font.
	
	h1, released 2004/05/19, for Epiphany 1.2.5
	
	* Initial release.

2005-10-16  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.ac: Add another necessary mozilla include subdir to
	the includes for tests. This is necessary when compiling against
	an uninstalled mozilla build (header organisation is only done
	at make install time) or, apparently, against gentoo's mozilla
	packages.

2005-10-16  Philip Langdale  <philipl@mail.utexas.edu>

	* src/ephy-link-action.c:
	(proxy_button_release_event_cb), (get_event_widget),
	(ephy_link_action_connect_proxy), (ephy_link_action_disconnect_proxy),
	(ephy_link_action_class_init), (ephy_link_action_get_type):
	Exten the EphyLinkAction to attach a mouse-release-event handler
	which turns around and calls gtk_action_activate in response to a
	middle-click even on the proxy. This allows us to fully encapsulate
	the extra work needed to catch middle clicks.
	The GoHome action will automatically start working correctly now
	that it is getting activated in this case.

	* src/ephy-navigation-action.c:
	(activate_by_history_index), (activate_back_or_forward_menu_item_cb),
	(ephy_navigation_action_activate), (ephy_navigation_action_class_init):
	Fully enscapsulate 'activate' handling inside the action. This is more
	consistent because the menus are already handled internally. Also
	add support for middle-click on back/forward/up.
	
	* src/ephy-toolbar.c:
	(ephy_toolbar_set_window): Don't attach 'activate' signal handlers
	to the navigate actions because activation is now handled internally
	to the action.

	I intend to make a followup change that removes the separate actions
	for GoUp/Back/Forward in the menu and replace them with the main
	actions already used in the toolbar. This means the menu items will
	get middle-click support for free.

	* lib/ephy-gui.c: (ephy_gui_is_middle_click):
	Only consider an unmodified middle-click to be a middle-click.

2005-10-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get):
	* embed/mozilla/EphyBrowser.cpp:

	Enable favicons for https: sites on gecko 1.8.

2005-10-15  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:
	* src/prefs-dialog.c: (prefs_dialog_finalize),
	(download_path_changed_cb), (create_download_path_button),
	(prefs_dialog_init), (prefs_homepage_blank_button_clicked_cb):

	Use a GtkFileChooserButton for the download path selector.
	Fixes bug #135738.

2005-10-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download),
	(ephy_favicon_cache_get):
	* embed/mozilla/EphyBrowser.cpp:

	Allow favicons for https: sites on gecko 1.9.

2005-10-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBadCertRejector.h:

	Remove debug output.
	
2005-10-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.h:

	Add EPHY_EMBED_PERSIST_NO_CERTDIALOGS flag.

		* embed/mozilla/Makefile.am:
	A embed/mozilla/EphyBadCertRejector.cpp:
	A embed/mozilla/EphyBadCertRejector.h:

	A class implementing nsIBadCertListener which always rejects.

	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	For gecko 1.8, implement nsIInterfaceRequestor for EphyHeaderSniffer
	and MozDownload, and make GetInterface hand out a EphyBadCertRejector
	if the EPHY_EMBED_PERSIST_NO_CERTDIALOGS flag is set.

2005-10-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Work around mozilla bug
	https://bugzilla.mozilla.org/show_bug.cgi?id=312241 .

2005-10-12  Philip Langdale  <philipl@mail.utexas.edu>

	* src/ephy-tab.c: (open_link_in_new_tab):
	Copy the back history when a link is opened in
	a new tab from a middle-click or a ctrl-click.

2005-10-12  Philip Langdale  <philipl@mail.utexas.edu>

	* src/ephy-navigation-action.c:
	(activate_back_or_forward_menu_item_cb). Forgot to
	remove the unused url variable.

2005-10-12  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/ephy-embed.c
	* embed/ephy-embed.h: (ephy_embed_shistory_copy).
	Add a method to copy the back/forward history from
	one embed to another.

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	(EphyBrowser::CopySHistory) Implementation of 
	history copying.

	* embed/mozilla/mozilla-embed.cpp:
	Implement ephy_embed_shistory_copy by calling into
	EphyBrowser.

	* src/ephy-navigation-action.c:
	(activate_back_or_forward_menu_item_cb). If a
	history menu item is middle-clicked on, open a new
	tab, copy the history over and then go to the
	relevant page in the history.

	* src/ephy-toolbar.c: (ephy_toolbar_set_window) Attach
	handler for "open-link" to back/forward actions.

2005-10-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init),
	(ephy_embed_single_set_network_status),
	(ephy_embed_single_get_network_status):
	* embed/ephy-embed-single.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphySingle.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* src/ephy-window.c: (sync_tab_icon), (sync_network_status),
	(ephy_window_dispose), (ephy_window_init):
	* src/epiphany.defs:
	* src/window-commands.c: (window_cmd_file_work_offline):

	Remove the "network-status" signal from the embed single, and
	make it a property instead. Keep track of the network status in
	EphySingle, and emit property notification when it changes.

2005-10-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:
	* embed/mozilla/EphyAboutModule.h:
	A embed/mozilla/EphyRedirectChannel.cpp:
	A embed/mozilla/EphyRedirectChannel.h:
	* embed/mozilla/Makefile.am:

	Implement about:recover. Build the about module on all geckos, and
	only #ifdef the about:neterror implementation for gecko 1.8.

	* src/ephy-session.c: (tab_added_cb), (impl_attach_window),
	(ephy_session_autoresume), (write_tab), (ephy_session_save),
	(parse_embed), (ephy_session_load):

	Record the page load status and page title in the session file, and
	use about:recover when the page was still loading when the browser
	crashed.

2005-10-10  Christian Persch  <chpe@cvs.gnome.org>

		* lib/ephy-string.c: (ephy_string_shorten):

	Fix constness and don't strdup when returning early.
		
2005-10-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-string.c: (ephy_string_blank_chr),
	(ephy_string_shorten):
	* lib/ephy-string.h:

	Bring back ephy_string_shorten.

	* src/ephy-tab.c: (ephy_tab_file_monitor_cb), (ephy_tab_set_title):

	Shorten overlong tab titles, hard. Increase reload delay slightly.
	Strip whitespace from tab title before determining if it's empty.

2005-10-09  Christian Persch  <chpe@cvs.gnome.org>

		* lib/ephy-debug.c:

	Search the needle in the haystack, not the other way 'round.

2005-10-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.c:

	Fix logging.

2005-10-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c: (show_embed_popup), 
	(update_image_actions_visibility):

	Eliminate the *Popup/*ImagePopup popup variants.
	Add image context to all popups it can show up.
	Display image context dynamically.
	
2005-10-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c:

	Remove DBUS define, it's always compiled now.

2005-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.c:

	Fix profiling in builddir != srcdir builds.

2005-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_start),
	(ephy_spinner_dispose), (ephy_spinner_finalize),
	(ephy_spinner_class_init):

	Ensure the images are loaded before starting to spin.
	Should fix crashes on start/new tab.

2005-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar.c: (ephy_toolbar_update_spinner):

	Remove unused variable.

2005-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyUtils.cpp:

	Sync with gnome-2-12.

2005-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar.c: (ephy_toolbar_update_spinner),
	(ephy_toolbar_set_show_leave_fullscreen),
	(ephy_toolbar_set_security_state),
	(ephy_toolbar_set_lock_visibility), (ephy_toolbar_set_spinning):

	Use flags to save memory for the priv struct.

2005-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_style_set), (ephy_location_entry_class_init),
	(ephy_location_entry_set_favicon),
	(ephy_location_entry_set_secure):
	* lib/widgets/ephy-location-entry.h:

	Add style properties for 'secure-[bg|fg]-color', and apply them when
	the entry is in 'secure' mode. Reset the IM context before emitting
	the 'activate' signal.

	* src/ephy-location-action.c: (sync_secure), (connect_proxy),
	(ephy_location_action_set_property),
	(ephy_location_action_get_property),
	(ephy_location_action_class_init):
	* src/ephy-toolbar.c: (ephy_toolbar_set_security_state),
	(ephy_toolbar_init):
	* src/ephy-toolbar.h:
	* src/ephy-window.c: (sync_chromes_visibility),
	(sync_tab_security):

	Set the location entry's 'secure' property on secure sites,
	and also always show the lock for secure sites.

2005-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:

	Add out private plugin directory to MOZ_PLUGIN_PATH too.

2005-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* configure.ac:
	* plugins/.cvsignore:
	* plugins/Makefile.am:
	* plugins/desktop-file/.cvsignore:
	* plugins/desktop-file/Makefile.am:
	* plugins/desktop-file/plugin.cpp:
	* po/POTFILES.in:

	Add "desktop-file" plugin, adapted from the
	"mozilla-desktop-file-plugin" written by Jorn Baayen <jbaayen@gnome.org>.
	For now only handle .desktop files from file:/// URIs, for security 
	reasons.

2005-10-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-state.c: (paned_sync_position_cb),
	(ephy_state_add_paned):

	Use "position" property notification instead of
	size-allocate to monitor the paned's position.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):

	Use resize=FALSE with gtk_paned_pack1. Fixes growing size of
	the left pane of the bookmarks editor by repeated opening.

2005-10-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (setup_ui_manager), (ephy_window_dispose),
	(ephy_window_finalize):

	Fix memory leak.

2005-10-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_dispose):
	* src/ephy-shell.c: (ephy_shell_dispose):

	Make sure we don't unref NULL objects.

2005-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* src/bookmarks/ephy-bookmarks.c: (save_filter),
	(ephy_bookmarks_save), (update_bookmark_keywords),
	(bookmark_is_categorized), (ephy_bookmarks_init),
	(ephy_bookmarks_finalize), (ephy_bookmarks_get_topic_uri),
	(ephy_bookmarks_find_keyword):
	* src/epiphany.defs:

	Add configure switch to disable zeroconf bookmarks, since
	they're almost useless since just about nobody ships gnome-vfs
	with howl support enabled, and have also been reported to
	cause long delays on startup.

2005-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_finalize):
	* src/ephy-window.c: (ephy_window_finalize):

	Schedule a GC in finalize of EphyTab and EphyWindow, to 
	work around bug #317242.

2005-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/ephy-embed-shell.c: (ephy_embed_shell_dispose),
	(ephy_embed_shell_finalize), (ephy_embed_shell_class_init):
	* embed/ephy-embed.c: (ephy_embed_base_init),
	(ephy_embed_show_page_certificate), (ephy_embed_close):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-notebook.c: (ephy_notebook_class_init),
	(close_button_clicked_cb):
	* src/ephy-notebook.h:
	* src/ephy-python.c: (ephy_python_init), (ephy_python_shutdown),
	(ephy_python_schedule_gc):
	* src/ephy-shell.c: (ephy_shell_class_init), (gnome_session_init),
	(ephy_shell_dispose), (ephy_shell_finalize):
	* src/ephy-tab.c: (ephy_tab_init):
	* src/ephy-window.c: (construct_confirm_close_dialog),
	(confirm_close_with_modified_forms), (embed_modal_alert_cb),
	(idle_tab_remove_cb), (schedule_tab_close),
	(embed_close_request_cb), (embed_destroy_browser_cb),
	(tab_added_cb), (tab_removed_cb), (tab_close_request_cb),
	(setup_notebook), (remove_true), (ephy_window_dispose),
	(cancel_handler), (ephy_window_init), (ephy_window_finalize):
	* src/window-commands.c: (event_with_shift),
	(window_cmd_view_reload), (window_cmd_file_close_window):

	Use nsIDOMWindowInternal::Close to close tabs. Delay tabs destruction
	to an idle handler, to avoid crashes when tabs are closed from signal
	handlers (blur, mousedown, keydown etc).
	Fixes bug #172878, bug #172879, bug #172882, bug #303254, bug #313425.

2005-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_do_print_idle_cb):

	Remove unused variable.

2005-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widget/ephy-spinner.c:

	Remove unused code.

2005-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.h:
	
	Don't include config.h here.

	* lib/widgets/ephy-spinner.c: (ephy_spinner_cache_data_unload),
	(ephy_spinner_cache_data_load), (ephy_spinner_cache_data_new),
	(ephy_spinner_cache_data_free), (ephy_spinner_cache_get_images),
	(ephy_spinner_cache_init), (ephy_spinner_cache_finalize),
	(ephy_spinner_load_images), (ephy_spinner_init),
	(bump_spinner_frame_cb), (ephy_spinner_start),
	(ephy_spinner_set_timeout), (ephy_spinner_finalize),
	(ephy_spinner_screen_changed), (ephy_spinner_class_init):
	
	Make spinner multihead safe.

	* lib/widgets/testspinner.c:
	
	Add a tiny spinner test program.

2005-10-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_init),
	(ephy_spinner_start), (ephy_spinner_stop), (ephy_spinner_map),
	(ephy_spinner_unmap), (ephy_spinner_class_init):

	Don't spin unmapped spinners. Slightly decrease the frequency.
	Might help with bug #315232.

2005-10-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (entry_key_press_cb):

	Reset the IM context before activating the entry.

	* lib/widgets/ephy-node-view.c: (ephy_node_view_key_press_cb):
	* src/ephy-find-toolbar.c: (tab_search_key_press_cb):

	Add GDK_ISO_Enter to recognised keyvals.

2005-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Return error on failure.

2005-09-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_file_bookmark_page):

	Don't free const strings.

2005-09-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (sync_label):
	* src/ephy-tab.c: (ephy_tab_get_title_composite),
	(ephy_tab_get_title):
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.c: (sync_tab_title):
	* src/ephy-window.c: (sync_tab_title):
	* src/window-commands.c: (window_cmd_file_send_to),
	(window_cmd_file_bookmark_page):

	Add a function to get the tab's real title, and use it
	where appropriate. Fixes bug #317418.

2005-09-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/FilePicker.cpp:

	Hide the filters combo if there's only the "All" filter.

2005-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Back out the fix for bug #158486 by re-enabling keyword:
	searches. Fixes bug #314974.

2005-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (tab_label_style_set_cb),
	(build_tab_label):

	Use the tab label's outer hbox for the size calculation instead
	of the label itself. Fixes size oscillations with the Tab States
	extension.

2005-09-26  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-lockdown.c: (update_window):
	* src/ephy-window.c: (update_popups_tooltips), (show_embed_popup):
	* src/popup-commands.c:
	* src/popup-commands.h:
	* embed/mozilla/EventContext.cpp: (GetEventContext):
	* data/ui/epiphany-ui.xml:

	Unify background image and image code (contex menu, conext event). 
	Fix bug 154887.

2005-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp: (DoDialog):

	Back out previous change, it doesn't work right when there
	are *two* dialogues shown: the 1st one can only be dismissed
	after the 2nd one has been dismissed.

2005-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:
	* embed/mozilla/AutoEventQueue.cpp:
	* embed/mozilla/AutoEventQueue.h:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp: (DoDialog):
	
	Push a new event queue while showing the dialogue
	with gtk_dialog_run. This fixes the problem (caused by the
	braindead API of showing this dialogue synchronously) that
	networking is blocked in all other windows while the dialogue
	is shown.
	
2005-09-25  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* data/epiphany-lockdown.schemas.in:

	Add disable_quit to lockdown gconf schema. Fix bug 316499.

2005-09-24  Crispin Flowerday  <gnome@flowerday.cx>

	* data/epiphany.m4:

	Rename the autoconf macro to EPIPHANY_EXTENSION_INIT() and make it
	check the ephy version, get the extension directory and find out
	whether python is enabled.

2005-09-24  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp: (GetErrorMessage):

	Handle contentEncodingError error.

2005-09-24  Crispin Flowerday  <gnome@flowerday.cx>

	* lib/Makefile.am:
	* lib/ephy-module.c: (ephy_module_load):

	If the library path isn't absolute, look in the main extension
	dir, and then the users own extension directory

2005-09-23  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_ini_string):

	Don't crash if the Authors key is missing, or
	there are no keys in the Loader section

2005-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c:

	s/DOT_INIT/DOT_INI/g.

2005-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/epphy-extensions-manager.c: (free_extension_info),
	(ephy_extensions_manager_load_xml_string), (path_to_identifier),
	(ephy_extensions_manager_load_file), (load_file_from_monitor),
	(dir_changed_cb), (ephy_extensions_manager_load_dir):

	Don't read unused variables, and use a #define for the
	keyfile extension.

2005-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-python-loader.c: (impl_get_object):

	Accept "Module" argument.

2005-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-shlib-loader.c: (impl_get_object)
	(ephy_shlib_loader_class_init):

	Support "Library" argument.

2005-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	R data/epiphany-extension.xsd:
	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_xml_string),
	(ephy_extensions_manager_startup),
	(ephy_extensions_manager_finalize):

	Since the .xml format is deprecated, remove the (already #if 0'd)
	schema validation code.

2005-09-23  Crispin Flowerday  <gnome@flowerday.cx>

	* data/epiphany.m4: Really add the file

2005-09-23  Crispin Flowerday  <gnome@flowerday.cx>

	* data/Makefile.am:
	* data/epiphany.m4:
	* src/ephy-extensions-manager.c: (free_extension_info),
	(ephy_extensions_manager_load_xml_string),
	(ephy_extensions_manager_load_ini_string), (path_to_identifier),
	(ephy_extensions_manager_load_file), (load_extension),
	(load_file_from_monitor), (dir_changed_cb),
	(ephy_extensions_manager_load_dir):

	Add support for extension description files in the keyfile
	format, using the extension .ephy-extension. Also included
	is a m4 macro to help do the translation of these files.
	
2005-09-21  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp: (have_gnome_url_handler):

	Remove unused function.

2005-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c:

	Fix compile warnings.

2005-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyUtils.cpp:
	* embed/print-dialog.c: (ephy_print_do_print_idle_cb):

	Don't use "cat >" as output command, it fails inpredicably.
	Instead, use the tempfile setting, and set "PostScript/default"
	as printer name. fflush before printing the temp file
	using gnome-print. If not using gecko 1.9, translate the paper
	name to the one mozilla expects (mozilla bug 
	https://bugzilla.mozilla.org/show_bug.cgi?id=307404).

2005-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_check_location_writable):
	* lib/ephy-gui.h:

	New function to check the filename/directory for writability,
	derived from the now removed ephy_gui_confirm_overwrite_file.
	
	* src/bookmarks/ephy-bookmarks-editor.c:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:

	Use the filechooser's stock confirm-overwrite checking, but
	we still need our own writability check.

2005-09-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:

	Add EPHY_EMBED_STATE_RESTORING and conversion from
	GTK_MOZ_EMBED_FLAG_RESTORING.

2005-09-19  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add another mime alias.

2005-09-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (_ephy_window_set_context_event),
	(_ephy_window_unset_context_event), (embed_popup_deactivate_cb),
	(show_embed_popup), (ephy_window_dispose):
	* src/ephy-window.h:

	Make the methods to unset/release the context event semi-public.

2005-09-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c:
	(bookmark_activate_with_flags), (open_in_tab_activate_cb),
	(open_in_window_activate_cb), (activate_cb):
	* src/bookmarks/ephy-bookmarks.c: (impl_resolve_address):
	Repair the previous b0rkage, see previous log

2005-09-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (impl_resolve_address):
	If the search term is empty for a smart bookmark use the normal
	URL instead of the smart url with the %s replaced by ""

2005-09-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialog.cpp:

	Don't focus the checkbox initially. Fixes bug #163371.

2005-09-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_construct):

	Make Close the default button.

2005-09-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Set "website-label" property.

2005-09-09  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySingle.cpp:

	Manually emit the "profile-change-net-teardown" notification;
	works around bug https://bugzilla.mozilla.org/show_bug.cgi?id=292699.

2005-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyUtils.cpp:

	Remove unused code.

2005-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:
	* embed/ephy-history.h:

	Implement [SG]etGeckoURIFlags for gecko 1.9.

2005-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyUtils.cpp:

	Mozilla printing code is braindead. Bug #163255.

2005-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Depend on pygtk 2.8. Fixes bug #314557.

	* src/languages.h:

	Remove duplicate entries.

2005-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_constructor):
	* src/pdm-dialog.c: (show_cookies_properties):

	Fix HIG spacings.

2005-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:

	Remove find dialogue, and tweak spacings to be HIG compliant.

2005-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/EphyBrowser.cpp:

	Only listen for trusted events.

2005-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update gtk requirement.

2005-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:

	Better message on the enter-secure warning.

2005-08-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.c:

	Only include execinfo.h if it exists.

2005-08-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* lib/ephy-debug.c: (trap_handler):

	Check for execinfo.h. Fixes bug #314776.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* ChangeLog-20050828:
	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	* data/Makefile.am:
	* data/epiphany-1.10.pc.in:
	* data/epiphany-1.8.pc.in:
	* doc/reference/Makefile.am:
	* embed/Makefile.am:
	* embed/mozilla/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* lib/ephy-dbus.c: (session_filter_func), (system_filter_func),
	(ephy_dbus_connect_to_session_bus), (ephy_dbus_disconnect_bus):
	* lib/widgets/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Version 1.9.
